//*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#* DtBcS2DEC_2132_RegAccess.h *#*#*#*#*#*#*#*# (C) 2018 DekTec
//
// Device driver - S2Decod v-1 (S2DEC) - Register access functions
//
// The register access functions defined here are elementary inline functions to read
// from and write to registers of BB2.0 building block S2Decod.
// These functions should solely be used by the block controller for S2Decod.
//
// 2018.05.23 10:17 - AUTOGENERATED BY DtBlock - DO NOT EDIT THIS FILE BY HAND

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- License -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Copyright (C) 2017 DekTec Digital Video B.V.
//
// Redistribution and use in source and binary forms, with or without modification, are
// permitted provided that the following conditions are met:
//  1. Redistributions of source code must retain the above copyright notice, this list
//     of conditions and the following disclaimer.
//  2. Redistributions in binary format must reproduce the above copyright notice, this
//     list of conditions and the following disclaimer in the documentation.
//
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
// INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL DEKTEC DIGITAL VIDEO BV, ITS AGENTS OR ITS EMPLOYEES BE LIABLE FOR
// ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL, OR OTHER DAMAGES (INCLUDING DAMAGES
// FOR THE LOSS OF USE, INFORMATION, GOODWILL, PROFIT, WORK STOPPAGE, DATA, BUSINESS OR
// REVENUE) UNDER ANY CIRCUMSTANCES, OR UNDER ANY LEGAL THEORY, WHETHER IN CONTRACT, IN
// TORT, IN NEGLIGENCE, OR OTHERWISE, ARISING FROM THE USE OF, OR INABILITY TO USE THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ EXAMPLES +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+
//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
//
// 1. Getting fields 'MinorVersion' and 'MajorVersion' from register 'CoreVersionInfo':
//      UInt32  Reg_CoreVersionInfo, MinorVersion, MajorVersion;
//      Reg_CoreVersionInfo = S2DEC_CoreVersionInfo_READ(pBc);
//      MinorVersion        = S2DEC_CoreVersionInfo_GET_MinorVersion(Reg_CoreVersionInfo);
//      MajorVersion        = S2DEC_CoreVersionInfo_GET_MajorVersion(Reg_CoreVersionInfo);
//
// 2. Single-function shorthand for reading field 'IterationsPls248a249' from register
//    'LdpcItPls248a249':
//      UInt32  IterationsPls248a249 =
// S2DEC_LdpcItPls248a249_READ_IterationsPls248a249(pBc);
//
// Updating multiple fields in the same register:
//   UInt32  Reg_InterruptStatus = S2DEC_InterruptStatus_READ(pBc);
//   S2DEC_InterruptStatus_SET_FrameDecoded(Reg_InterruptStatus, 1);
//   S2DEC_InterruptStatus_SET_FrameSkip(Reg_InterruptStatus, 1);
//   S2DEC_InterruptStatus_WRITE(pBc, Reg_InterruptStatus);
//
//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ NOTES +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
//
// A) No automatic caching is provided, the user has to manage a 'cache' of 32-bit
// register values himself. The number of register reads and writes shall be minimized,
// as these are extremely slow (hundreds of CPU cycles for PCIe bus and orders of
// magnitude longer for USB).
//
// B) To read a field, the register shall first be read into an UInt32 using a READ
// function, followed by getting the field from the UInt32 value with a GET function.
// Field READ functions (a combination of the register READ- and field GET function) are
// provided for convenience, but these should only be used if the register value is just
// needed once for getting a single field.
//
// C) No register-access functions are generated for the BlockId register at address 0,
// nor for interrupt-status registers. The driver has generic (BB-independent) functions
// available for accessing these registers.

//=+=+=+=+=+=+=+=+=+=+=+ List of Generated Register-Access Functions +=+=+=+=+=+=+=+=+=+=+

// S2DEC_BBRollOffDetector_GET_RollOff0
// S2DEC_BBRollOffDetector_GET_RollOff0Valid
// S2DEC_BBRollOffDetector_GET_RollOff1
// S2DEC_BBRollOffDetector_GET_RollOff1Valid
// S2DEC_BBRollOffDetector_READ
// S2DEC_BBRollOffDetector_SET_RollOff0
// S2DEC_BBRollOffDetector_SET_RollOff0Valid
// S2DEC_BBRollOffDetector_SET_RollOff1
// S2DEC_BBRollOffDetector_SET_RollOff1Valid
// S2DEC_BBRollOffDetector_WRITE
// S2DEC_BchSuccessCounter_READ
// S2DEC_BchSuccessCounter_WRITE
// S2DEC_CoreVersionInfo_GET_MajorVersion
// S2DEC_CoreVersionInfo_GET_MinorVersion
// S2DEC_CoreVersionInfo_GET_NumLdpcDec
// S2DEC_CoreVersionInfo_READ
// S2DEC_CoreVersionInfo_READ_MajorVersion
// S2DEC_CoreVersionInfo_READ_MinorVersion
// S2DEC_CoreVersionInfo_READ_NumLdpcDec
// S2DEC_CounterLock_READ
// S2DEC_CounterLock_WRITE
// S2DEC_FrameCounter_READ
// S2DEC_FrameCounter_WRITE
// S2DEC_FrameSkipCounter_READ
// S2DEC_FrameSkipCounter_WRITE
// S2DEC_InterruptEnable_GET_FrameDecoded
// S2DEC_InterruptEnable_GET_FrameSkip
// S2DEC_InterruptEnable_READ
// S2DEC_InterruptEnable_SET_FrameDecoded
// S2DEC_InterruptEnable_SET_FrameSkip
// S2DEC_InterruptEnable_WRITE
// S2DEC_InterruptStatus_GET_FrameDecoded
// S2DEC_InterruptStatus_GET_FrameSkip
// S2DEC_InterruptStatus_READ
// S2DEC_InterruptStatus_SET_FrameDecoded
// S2DEC_InterruptStatus_SET_FrameSkip
// S2DEC_InterruptStatus_WRITE
// S2DEC_IterationsPls100a101_WRITE
// S2DEC_IterationsPls102a103_WRITE
// S2DEC_IterationsPls104a105_WRITE
// S2DEC_IterationsPls106a107_WRITE
// S2DEC_IterationsPls108a109_WRITE
// S2DEC_IterationsPls10a11_WRITE
// S2DEC_IterationsPls110a111_WRITE
// S2DEC_IterationsPls112a113_WRITE
// S2DEC_IterationsPls114a115_WRITE
// S2DEC_IterationsPls116a117_WRITE
// S2DEC_IterationsPls118a119_WRITE
// S2DEC_IterationsPls120a121_WRITE
// S2DEC_IterationsPls122a123_WRITE
// S2DEC_IterationsPls124a125_WRITE
// S2DEC_IterationsPls126a127_WRITE
// S2DEC_IterationsPls128a129_WRITE
// S2DEC_IterationsPls12a13_WRITE
// S2DEC_IterationsPls130a131_WRITE
// S2DEC_IterationsPls132a133_WRITE
// S2DEC_IterationsPls134a135_WRITE
// S2DEC_IterationsPls136a137_WRITE
// S2DEC_IterationsPls138a139_WRITE
// S2DEC_IterationsPls140a141_WRITE
// S2DEC_IterationsPls142a143_WRITE
// S2DEC_IterationsPls144a145_WRITE
// S2DEC_IterationsPls146a147_WRITE
// S2DEC_IterationsPls148a149_WRITE
// S2DEC_IterationsPls14a15_WRITE
// S2DEC_IterationsPls150a151_WRITE
// S2DEC_IterationsPls152a153_WRITE
// S2DEC_IterationsPls154a155_WRITE
// S2DEC_IterationsPls156a157_WRITE
// S2DEC_IterationsPls158a159_WRITE
// S2DEC_IterationsPls160a161_WRITE
// S2DEC_IterationsPls162a163_WRITE
// S2DEC_IterationsPls164a165_WRITE
// S2DEC_IterationsPls166a167_WRITE
// S2DEC_IterationsPls168a169_WRITE
// S2DEC_IterationsPls16a17_WRITE
// S2DEC_IterationsPls170a171_WRITE
// S2DEC_IterationsPls172a173_WRITE
// S2DEC_IterationsPls174a175_WRITE
// S2DEC_IterationsPls176a177_WRITE
// S2DEC_IterationsPls178a179_WRITE
// S2DEC_IterationsPls180a181_WRITE
// S2DEC_IterationsPls182a183_WRITE
// S2DEC_IterationsPls184a185_WRITE
// S2DEC_IterationsPls186a187_WRITE
// S2DEC_IterationsPls188a189_WRITE
// S2DEC_IterationsPls18a19_WRITE
// S2DEC_IterationsPls190a191_WRITE
// S2DEC_IterationsPls192a193_WRITE
// S2DEC_IterationsPls194a195_WRITE
// S2DEC_IterationsPls196a197_WRITE
// S2DEC_IterationsPls198a199_WRITE
// S2DEC_IterationsPls200a201_WRITE
// S2DEC_IterationsPls202a203_WRITE
// S2DEC_IterationsPls204a205_WRITE
// S2DEC_IterationsPls206a207_WRITE
// S2DEC_IterationsPls208a209_WRITE
// S2DEC_IterationsPls20a21_WRITE
// S2DEC_IterationsPls210a211_WRITE
// S2DEC_IterationsPls212a213_WRITE
// S2DEC_IterationsPls214a215_WRITE
// S2DEC_IterationsPls216a217_WRITE
// S2DEC_IterationsPls218a219_WRITE
// S2DEC_IterationsPls220a221_WRITE
// S2DEC_IterationsPls222a223_WRITE
// S2DEC_IterationsPls224a225_WRITE
// S2DEC_IterationsPls226a227_WRITE
// S2DEC_IterationsPls228a229_WRITE
// S2DEC_IterationsPls22a23_WRITE
// S2DEC_IterationsPls230a231_WRITE
// S2DEC_IterationsPls232a233_WRITE
// S2DEC_IterationsPls234a235_WRITE
// S2DEC_IterationsPls236a237_WRITE
// S2DEC_IterationsPls238a239_WRITE
// S2DEC_IterationsPls240a241_WRITE
// S2DEC_IterationsPls242a243_WRITE
// S2DEC_IterationsPls244a245_WRITE
// S2DEC_IterationsPls246a247_WRITE
// S2DEC_IterationsPls248a249_WRITE
// S2DEC_IterationsPls24a25_WRITE
// S2DEC_IterationsPls26a27_WRITE
// S2DEC_IterationsPls28a29_WRITE
// S2DEC_IterationsPls30a31_WRITE
// S2DEC_IterationsPls32a33_WRITE
// S2DEC_IterationsPls34a35_WRITE
// S2DEC_IterationsPls36a37_WRITE
// S2DEC_IterationsPls38a39_WRITE
// S2DEC_IterationsPls40a41_WRITE
// S2DEC_IterationsPls42a43_WRITE
// S2DEC_IterationsPls44a45_WRITE
// S2DEC_IterationsPls46a47_WRITE
// S2DEC_IterationsPls48a49_WRITE
// S2DEC_IterationsPls4a5_WRITE
// S2DEC_IterationsPls50a51_WRITE
// S2DEC_IterationsPls52a53_WRITE
// S2DEC_IterationsPls54a55_WRITE
// S2DEC_IterationsPls56a57_WRITE
// S2DEC_IterationsPls58a59_WRITE
// S2DEC_IterationsPls60a61_WRITE
// S2DEC_IterationsPls62a63_WRITE
// S2DEC_IterationsPls64a65_WRITE
// S2DEC_IterationsPls66a67_WRITE
// S2DEC_IterationsPls68a69_WRITE
// S2DEC_IterationsPls6a7_WRITE
// S2DEC_IterationsPls70a71_WRITE
// S2DEC_IterationsPls72a73_WRITE
// S2DEC_IterationsPls74a75_WRITE
// S2DEC_IterationsPls76a77_WRITE
// S2DEC_IterationsPls78a79_WRITE
// S2DEC_IterationsPls80a81_WRITE
// S2DEC_IterationsPls82a83_WRITE
// S2DEC_IterationsPls84a85_WRITE
// S2DEC_IterationsPls86a87_WRITE
// S2DEC_IterationsPls88a89_WRITE
// S2DEC_IterationsPls8a9_WRITE
// S2DEC_IterationsPls90a91_WRITE
// S2DEC_IterationsPls92a93_WRITE
// S2DEC_IterationsPls94a95_WRITE
// S2DEC_IterationsPls96a97_WRITE
// S2DEC_IterationsPls98a99_WRITE
// S2DEC_LastFrame_GET_BchDecSuccess
// S2DEC_LastFrame_GET_LdpcDecSuccess
// S2DEC_LastFrame_GET_LdpcIterations
// S2DEC_LastFrame_GET_PlsValue
// S2DEC_LastFrame_GET_VlsnrModcod
// S2DEC_LastFrame_READ
// S2DEC_LastFrame_READ_BchDecSuccess
// S2DEC_LastFrame_READ_LdpcDecSuccess
// S2DEC_LastFrame_READ_LdpcIterations
// S2DEC_LastFrame_READ_PlsValue
// S2DEC_LastFrame_READ_VlsnrModcod
// S2DEC_LdpcItCnt_READ
// S2DEC_LdpcItCnt_WRITE
// S2DEC_LdpcItLutEn_READ
// S2DEC_LdpcItLutEn_WRITE
// S2DEC_LdpcItPls100a101_READ_IterationsPls100a101
// S2DEC_LdpcItPls102a103_READ_IterationsPls102a103
// S2DEC_LdpcItPls104a105_READ_IterationsPls104a105
// S2DEC_LdpcItPls106a107_READ_IterationsPls106a107
// S2DEC_LdpcItPls108a109_READ_IterationsPls108a109
// S2DEC_LdpcItPls10a11_READ_IterationsPls10a11
// S2DEC_LdpcItPls110a111_READ_IterationsPls110a111
// S2DEC_LdpcItPls112a113_READ_IterationsPls112a113
// S2DEC_LdpcItPls114a115_READ_IterationsPls114a115
// S2DEC_LdpcItPls116a117_READ_IterationsPls116a117
// S2DEC_LdpcItPls118a119_READ_IterationsPls118a119
// S2DEC_LdpcItPls120a121_READ_IterationsPls120a121
// S2DEC_LdpcItPls122a123_READ_IterationsPls122a123
// S2DEC_LdpcItPls124a125_READ_IterationsPls124a125
// S2DEC_LdpcItPls126a127_READ_IterationsPls126a127
// S2DEC_LdpcItPls128a129_READ_IterationsPls128a129
// S2DEC_LdpcItPls12a13_READ_IterationsPls12a13
// S2DEC_LdpcItPls130a131_READ_IterationsPls130a131
// S2DEC_LdpcItPls132a133_READ_IterationsPls132a133
// S2DEC_LdpcItPls134a135_READ_IterationsPls134a135
// S2DEC_LdpcItPls136a137_READ_IterationsPls136a137
// S2DEC_LdpcItPls138a139_READ_IterationsPls138a139
// S2DEC_LdpcItPls140a141_READ_IterationsPls140a141
// S2DEC_LdpcItPls142a143_READ_IterationsPls142a143
// S2DEC_LdpcItPls144a145_READ_IterationsPls144a145
// S2DEC_LdpcItPls146a147_READ_IterationsPls146a147
// S2DEC_LdpcItPls148a149_READ_IterationsPls148a149
// S2DEC_LdpcItPls14a15_READ_IterationsPls14a15
// S2DEC_LdpcItPls150a151_READ_IterationsPls150a151
// S2DEC_LdpcItPls152a153_READ_IterationsPls152a153
// S2DEC_LdpcItPls154a155_READ_IterationsPls154a155
// S2DEC_LdpcItPls156a157_READ_IterationsPls156a157
// S2DEC_LdpcItPls158a159_READ_IterationsPls158a159
// S2DEC_LdpcItPls160a161_READ_IterationsPls160a161
// S2DEC_LdpcItPls162a163_READ_IterationsPls162a163
// S2DEC_LdpcItPls164a165_READ_IterationsPls164a165
// S2DEC_LdpcItPls166a167_READ_IterationsPls166a167
// S2DEC_LdpcItPls168a169_READ_IterationsPls168a169
// S2DEC_LdpcItPls16a17_READ_IterationsPls16a17
// S2DEC_LdpcItPls170a171_READ_IterationsPls170a171
// S2DEC_LdpcItPls172a173_READ_IterationsPls172a173
// S2DEC_LdpcItPls174a175_READ_IterationsPls174a175
// S2DEC_LdpcItPls176a177_READ_IterationsPls176a177
// S2DEC_LdpcItPls178a179_READ_IterationsPls178a179
// S2DEC_LdpcItPls180a181_READ_IterationsPls180a181
// S2DEC_LdpcItPls182a183_READ_IterationsPls182a183
// S2DEC_LdpcItPls184a185_READ_IterationsPls184a185
// S2DEC_LdpcItPls186a187_READ_IterationsPls186a187
// S2DEC_LdpcItPls188a189_READ_IterationsPls188a189
// S2DEC_LdpcItPls18a19_READ_IterationsPls18a19
// S2DEC_LdpcItPls190a191_READ_IterationsPls190a191
// S2DEC_LdpcItPls192a193_READ_IterationsPls192a193
// S2DEC_LdpcItPls194a195_READ_IterationsPls194a195
// S2DEC_LdpcItPls196a197_READ_IterationsPls196a197
// S2DEC_LdpcItPls198a199_READ_IterationsPls198a199
// S2DEC_LdpcItPls200a201_READ_IterationsPls200a201
// S2DEC_LdpcItPls202a203_READ_IterationsPls202a203
// S2DEC_LdpcItPls204a205_READ_IterationsPls204a205
// S2DEC_LdpcItPls206a207_READ_IterationsPls206a207
// S2DEC_LdpcItPls208a209_READ_IterationsPls208a209
// S2DEC_LdpcItPls20a21_READ_IterationsPls20a21
// S2DEC_LdpcItPls210a211_READ_IterationsPls210a211
// S2DEC_LdpcItPls212a213_READ_IterationsPls212a213
// S2DEC_LdpcItPls214a215_READ_IterationsPls214a215
// S2DEC_LdpcItPls216a217_READ_IterationsPls216a217
// S2DEC_LdpcItPls218a219_READ_IterationsPls218a219
// S2DEC_LdpcItPls220a221_READ_IterationsPls220a221
// S2DEC_LdpcItPls222a223_READ_IterationsPls222a223
// S2DEC_LdpcItPls224a225_READ_IterationsPls224a225
// S2DEC_LdpcItPls226a227_READ_IterationsPls226a227
// S2DEC_LdpcItPls228a229_READ_IterationsPls228a229
// S2DEC_LdpcItPls22a23_READ_IterationsPls22a23
// S2DEC_LdpcItPls230a231_READ_IterationsPls230a231
// S2DEC_LdpcItPls232a233_READ_IterationsPls232a233
// S2DEC_LdpcItPls234a235_READ_IterationsPls234a235
// S2DEC_LdpcItPls236a237_READ_IterationsPls236a237
// S2DEC_LdpcItPls238a239_READ_IterationsPls238a239
// S2DEC_LdpcItPls240a241_READ_IterationsPls240a241
// S2DEC_LdpcItPls242a243_READ_IterationsPls242a243
// S2DEC_LdpcItPls244a245_READ_IterationsPls244a245
// S2DEC_LdpcItPls246a247_READ_IterationsPls246a247
// S2DEC_LdpcItPls248a249_READ_IterationsPls248a249
// S2DEC_LdpcItPls24a25_READ_IterationsPls24a25
// S2DEC_LdpcItPls26a27_READ_IterationsPls26a27
// S2DEC_LdpcItPls28a29_READ_IterationsPls28a29
// S2DEC_LdpcItPls30a31_READ_IterationsPls30a31
// S2DEC_LdpcItPls32a33_READ_IterationsPls32a33
// S2DEC_LdpcItPls34a35_READ_IterationsPls34a35
// S2DEC_LdpcItPls36a37_READ_IterationsPls36a37
// S2DEC_LdpcItPls38a39_READ_IterationsPls38a39
// S2DEC_LdpcItPls40a41_READ_IterationsPls40a41
// S2DEC_LdpcItPls42a43_READ_IterationsPls42a43
// S2DEC_LdpcItPls44a45_READ_IterationsPls44a45
// S2DEC_LdpcItPls46a47_READ_IterationsPls46a47
// S2DEC_LdpcItPls48a49_READ_IterationsPls48a49
// S2DEC_LdpcItPls4a5_READ_IterationsPls4a5
// S2DEC_LdpcItPls50a51_READ_IterationsPls50a51
// S2DEC_LdpcItPls52a53_READ_IterationsPls52a53
// S2DEC_LdpcItPls54a55_READ_IterationsPls54a55
// S2DEC_LdpcItPls56a57_READ_IterationsPls56a57
// S2DEC_LdpcItPls58a59_READ_IterationsPls58a59
// S2DEC_LdpcItPls60a61_READ_IterationsPls60a61
// S2DEC_LdpcItPls62a63_READ_IterationsPls62a63
// S2DEC_LdpcItPls64a65_READ_IterationsPls64a65
// S2DEC_LdpcItPls66a67_READ_IterationsPls66a67
// S2DEC_LdpcItPls68a69_READ_IterationsPls68a69
// S2DEC_LdpcItPls6a7_READ_IterationsPls6a7
// S2DEC_LdpcItPls70a71_READ_IterationsPls70a71
// S2DEC_LdpcItPls72a73_READ_IterationsPls72a73
// S2DEC_LdpcItPls74a75_READ_IterationsPls74a75
// S2DEC_LdpcItPls76a77_READ_IterationsPls76a77
// S2DEC_LdpcItPls78a79_READ_IterationsPls78a79
// S2DEC_LdpcItPls80a81_READ_IterationsPls80a81
// S2DEC_LdpcItPls82a83_READ_IterationsPls82a83
// S2DEC_LdpcItPls84a85_READ_IterationsPls84a85
// S2DEC_LdpcItPls86a87_READ_IterationsPls86a87
// S2DEC_LdpcItPls88a89_READ_IterationsPls88a89
// S2DEC_LdpcItPls8a9_READ_IterationsPls8a9
// S2DEC_LdpcItPls90a91_READ_IterationsPls90a91
// S2DEC_LdpcItPls92a93_READ_IterationsPls92a93
// S2DEC_LdpcItPls94a95_READ_IterationsPls94a95
// S2DEC_LdpcItPls96a97_READ_IterationsPls96a97
// S2DEC_LdpcItPls98a99_READ_IterationsPls98a99
// S2DEC_LdpcSuccessCounter_READ
// S2DEC_LdpcSuccessCounter_WRITE
// S2DEC_SnrEstErrorPower_READ
// S2DEC_SnrEstSignalPower_READ
// S2DEC_SnrEstimatorFrames_READ_SnrFrames
// S2DEC_SnrFrames_WRITE

//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ Include Files +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=

#include "DtBc.h"                     // Block controller structs and functions

//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ Constant Definitions +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+

//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
//=+=+=+=+=+=+=+=+=+=+=+ REGISTER-ACCESS FUNCTIONS - IMPLEMENTATION +=+=+=+=+=+=+=+=+=+=+=
//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'CoreVersionInfo' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Register READ function
static __inline UInt32  S2DEC_CoreVersionInfo_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1000);
}

// Field GET functions
static __inline UInt32  S2DEC_CoreVersionInfo_GET_MinorVersion(UInt32 CoreVersionInfo)
{
    return CoreVersionInfo & 0xF;
}
static __inline UInt32  S2DEC_CoreVersionInfo_GET_MajorVersion(UInt32 CoreVersionInfo)
{
    return (CoreVersionInfo & 0xF0) >> 4;
}
static __inline UInt32  S2DEC_CoreVersionInfo_GET_NumLdpcDec(UInt32 CoreVersionInfo)
{
    return (CoreVersionInfo & 0xF00) >> 8;
}

// Field READ functions
static __inline UInt32  S2DEC_CoreVersionInfo_READ_MinorVersion(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1000) & 0xF;
}
static __inline UInt32  S2DEC_CoreVersionInfo_READ_MajorVersion(DtBcS2DEC_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1000) & 0xF0) >> 4;
}
static __inline UInt32  S2DEC_CoreVersionInfo_READ_NumLdpcDec(DtBcS2DEC_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1000) & 0xF00) >> 8;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'InterruptStatus' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Register READ function
static __inline UInt32  S2DEC_InterruptStatus_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1004);
}

// Field GET functions
static __inline UInt32  S2DEC_InterruptStatus_GET_FrameDecoded(UInt32 InterruptStatus)
{
    return InterruptStatus & 0x1;
}
static __inline UInt32  S2DEC_InterruptStatus_GET_FrameSkip(UInt32 InterruptStatus)
{
    return (InterruptStatus & 0x2) >> 1;
}

// Field SET functions
static __inline UInt32  S2DEC_InterruptStatus_SET_FrameDecoded(UInt32 InterruptStatus, UInt32 FrameDecoded)
{
    DT_ASSERT((FrameDecoded & ~0x1) == 0);
    return (InterruptStatus & ~0x1) | FrameDecoded;
}
static __inline UInt32  S2DEC_InterruptStatus_SET_FrameSkip(UInt32 InterruptStatus, UInt32 FrameSkip)
{
    DT_ASSERT((FrameSkip & ~0x1) == 0);
    return (InterruptStatus & ~0x2) | (FrameSkip << 1);
}

// Register WRITE function
static __inline void  S2DEC_InterruptStatus_WRITE(DtBcS2DEC_2132* pBc, UInt32 InterruptStatus)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1004, InterruptStatus);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'InterruptEnable' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Register READ function
static __inline UInt32  S2DEC_InterruptEnable_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1008);
}

// Field GET functions
static __inline UInt32  S2DEC_InterruptEnable_GET_FrameDecoded(UInt32 InterruptEnable)
{
    return InterruptEnable & 0x1;
}
static __inline UInt32  S2DEC_InterruptEnable_GET_FrameSkip(UInt32 InterruptEnable)
{
    return (InterruptEnable & 0x2) >> 1;
}

// Field SET functions
static __inline UInt32  S2DEC_InterruptEnable_SET_FrameDecoded(UInt32 InterruptEnable, UInt32 FrameDecoded)
{
    DT_ASSERT((FrameDecoded & ~0x1) == 0);
    return (InterruptEnable & ~0x1) | FrameDecoded;
}
static __inline UInt32  S2DEC_InterruptEnable_SET_FrameSkip(UInt32 InterruptEnable, UInt32 FrameSkip)
{
    DT_ASSERT((FrameSkip & ~0x1) == 0);
    return (InterruptEnable & ~0x2) | (FrameSkip << 1);
}

// Register WRITE function
static __inline void  S2DEC_InterruptEnable_WRITE(DtBcS2DEC_2132* pBc, UInt32 InterruptEnable)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1008, InterruptEnable);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LastFrame' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEC_LastFrame_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x100C);
}

// Field GET functions
static __inline UInt32  S2DEC_LastFrame_GET_PlsValue(UInt32 LastFrame)
{
    return LastFrame & 0xFF;
}
static __inline UInt32  S2DEC_LastFrame_GET_VlsnrModcod(UInt32 LastFrame)
{
    return (LastFrame & 0x700) >> 8;
}
static __inline UInt32  S2DEC_LastFrame_GET_LdpcIterations(UInt32 LastFrame)
{
    return (LastFrame & 0x7F0000) >> 16;
}
static __inline UInt32  S2DEC_LastFrame_GET_LdpcDecSuccess(UInt32 LastFrame)
{
    return (LastFrame & 0x1000000) >> 24;
}
static __inline UInt32  S2DEC_LastFrame_GET_BchDecSuccess(UInt32 LastFrame)
{
    return (LastFrame & 0x2000000) >> 25;
}

// Field READ functions
static __inline UInt32  S2DEC_LastFrame_READ_PlsValue(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x100C) & 0xFF;
}
static __inline UInt32  S2DEC_LastFrame_READ_VlsnrModcod(DtBcS2DEC_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x100C) & 0x700) >> 8;
}
static __inline UInt32  S2DEC_LastFrame_READ_LdpcIterations(DtBcS2DEC_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x100C) & 0x7F0000) >> 16;
}
static __inline UInt32  S2DEC_LastFrame_READ_LdpcDecSuccess(DtBcS2DEC_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x100C) & 0x1000000) >> 24;
}
static __inline UInt32  S2DEC_LastFrame_READ_BchDecSuccess(DtBcS2DEC_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x100C) & 0x2000000) >> 25;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FrameCounter' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_FrameCounter_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1010);
}

// Field WRITE function
static __inline void  S2DEC_FrameCounter_WRITE(DtBcS2DEC_2132* pBc, UInt32 FrameCounter)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1010, FrameCounter);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FrameSkipCounter' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_FrameSkipCounter_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1014);
}

// Field WRITE function
static __inline void  S2DEC_FrameSkipCounter_WRITE(DtBcS2DEC_2132* pBc, UInt32 FrameSkipCounter)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1014, FrameSkipCounter);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcSuccessCounter' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcSuccessCounter_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1018);
}

// Field WRITE function
static __inline void  S2DEC_LdpcSuccessCounter_WRITE(DtBcS2DEC_2132* pBc, UInt32 LdpcSuccessCounter)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1018, LdpcSuccessCounter);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItCnt' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItCnt_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x101C);
}

// Field WRITE function
static __inline void  S2DEC_LdpcItCnt_WRITE(DtBcS2DEC_2132* pBc, UInt32 LdpcItCnt)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x101C, LdpcItCnt);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItLutEn' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItLutEn_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1020) & 0x1;
}

// Field WRITE function
static __inline void  S2DEC_LdpcItLutEn_WRITE(DtBcS2DEC_2132* pBc, UInt32 LdpcItLutEn)
{
    DT_ASSERT((LdpcItLutEn & ~0x1) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1020, LdpcItLutEn);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'BchSuccessCounter' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_BchSuccessCounter_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1024);
}

// Field WRITE function
static __inline void  S2DEC_BchSuccessCounter_WRITE(DtBcS2DEC_2132* pBc, UInt32 BchSuccessCounter)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1024, BchSuccessCounter);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'SnrEstSignalPower' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_SnrEstSignalPower_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1028);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'SnrEstErrorPower' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_SnrEstErrorPower_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x102C);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'BBRollOffDetector' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEC_BBRollOffDetector_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1030);
}

// Field GET functions
static __inline UInt32  S2DEC_BBRollOffDetector_GET_RollOff0Valid(UInt32 BBRollOffDetector)
{
    return BBRollOffDetector & 0x1;
}
static __inline UInt32  S2DEC_BBRollOffDetector_GET_RollOff0(UInt32 BBRollOffDetector)
{
    return (BBRollOffDetector & 0x6) >> 1;
}
static __inline UInt32  S2DEC_BBRollOffDetector_GET_RollOff1Valid(UInt32 BBRollOffDetector)
{
    return (BBRollOffDetector & 0x8) >> 3;
}
static __inline UInt32  S2DEC_BBRollOffDetector_GET_RollOff1(UInt32 BBRollOffDetector)
{
    return (BBRollOffDetector & 0x30) >> 4;
}

// Field SET functions
static __inline UInt32  S2DEC_BBRollOffDetector_SET_RollOff0Valid(UInt32 BBRollOffDetector, UInt32 RollOff0Valid)
{
    DT_ASSERT((RollOff0Valid & ~0x1) == 0);
    return (BBRollOffDetector & ~0x1) | RollOff0Valid;
}
static __inline UInt32  S2DEC_BBRollOffDetector_SET_RollOff0(UInt32 BBRollOffDetector, UInt32 RollOff0)
{
    DT_ASSERT((RollOff0 & ~0x3) == 0);
    return (BBRollOffDetector & ~0x6) | (RollOff0 << 1);
}
static __inline UInt32  S2DEC_BBRollOffDetector_SET_RollOff1Valid(UInt32 BBRollOffDetector, UInt32 RollOff1Valid)
{
    DT_ASSERT((RollOff1Valid & ~0x1) == 0);
    return (BBRollOffDetector & ~0x8) | (RollOff1Valid << 3);
}
static __inline UInt32  S2DEC_BBRollOffDetector_SET_RollOff1(UInt32 BBRollOffDetector, UInt32 RollOff1)
{
    DT_ASSERT((RollOff1 & ~0x3) == 0);
    return (BBRollOffDetector & ~0x30) | (RollOff1 << 4);
}

// Register WRITE function
static __inline void  S2DEC_BBRollOffDetector_WRITE(DtBcS2DEC_2132* pBc, UInt32 BBRollOffDetector)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1030, BBRollOffDetector);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'SnrEstimatorFrames' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_SnrEstimatorFrames_READ_SnrFrames(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1034) & 0x3;
}

// Field WRITE function
static __inline void  S2DEC_SnrFrames_WRITE(DtBcS2DEC_2132* pBc, UInt32 SnrFrames)
{
    DT_ASSERT((SnrFrames & ~0x3) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1034, SnrFrames);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'CounterLock' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_CounterLock_READ(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1038) & 0x1;
}

// Field WRITE function
static __inline void  S2DEC_CounterLock_WRITE(DtBcS2DEC_2132* pBc, UInt32 CounterLock)
{
    DT_ASSERT((CounterLock & ~0x1) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1038, CounterLock);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls4a5' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls4a5_READ_IterationsPls4a5(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1208) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls4a5_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls4a5)
{
    DT_ASSERT((IterationsPls4a5 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1208, IterationsPls4a5);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls6a7' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls6a7_READ_IterationsPls6a7(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x120C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls6a7_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls6a7)
{
    DT_ASSERT((IterationsPls6a7 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x120C, IterationsPls6a7);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls8a9' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls8a9_READ_IterationsPls8a9(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1210) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls8a9_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls8a9)
{
    DT_ASSERT((IterationsPls8a9 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1210, IterationsPls8a9);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls10a11' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls10a11_READ_IterationsPls10a11(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1214) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls10a11_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls10a11)
{
    DT_ASSERT((IterationsPls10a11 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1214, IterationsPls10a11);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls12a13' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls12a13_READ_IterationsPls12a13(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1218) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls12a13_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls12a13)
{
    DT_ASSERT((IterationsPls12a13 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1218, IterationsPls12a13);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls14a15' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls14a15_READ_IterationsPls14a15(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x121C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls14a15_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls14a15)
{
    DT_ASSERT((IterationsPls14a15 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x121C, IterationsPls14a15);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls16a17' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls16a17_READ_IterationsPls16a17(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1220) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls16a17_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls16a17)
{
    DT_ASSERT((IterationsPls16a17 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1220, IterationsPls16a17);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls18a19' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls18a19_READ_IterationsPls18a19(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1224) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls18a19_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls18a19)
{
    DT_ASSERT((IterationsPls18a19 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1224, IterationsPls18a19);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls20a21' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls20a21_READ_IterationsPls20a21(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1228) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls20a21_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls20a21)
{
    DT_ASSERT((IterationsPls20a21 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1228, IterationsPls20a21);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls22a23' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls22a23_READ_IterationsPls22a23(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x122C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls22a23_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls22a23)
{
    DT_ASSERT((IterationsPls22a23 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x122C, IterationsPls22a23);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls24a25' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls24a25_READ_IterationsPls24a25(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1230) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls24a25_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls24a25)
{
    DT_ASSERT((IterationsPls24a25 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1230, IterationsPls24a25);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls26a27' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls26a27_READ_IterationsPls26a27(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1234) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls26a27_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls26a27)
{
    DT_ASSERT((IterationsPls26a27 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1234, IterationsPls26a27);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls28a29' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls28a29_READ_IterationsPls28a29(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1238) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls28a29_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls28a29)
{
    DT_ASSERT((IterationsPls28a29 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1238, IterationsPls28a29);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls30a31' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls30a31_READ_IterationsPls30a31(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x123C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls30a31_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls30a31)
{
    DT_ASSERT((IterationsPls30a31 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x123C, IterationsPls30a31);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls32a33' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls32a33_READ_IterationsPls32a33(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1240) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls32a33_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls32a33)
{
    DT_ASSERT((IterationsPls32a33 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1240, IterationsPls32a33);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls34a35' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls34a35_READ_IterationsPls34a35(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1244) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls34a35_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls34a35)
{
    DT_ASSERT((IterationsPls34a35 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1244, IterationsPls34a35);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls36a37' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls36a37_READ_IterationsPls36a37(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1248) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls36a37_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls36a37)
{
    DT_ASSERT((IterationsPls36a37 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1248, IterationsPls36a37);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls38a39' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls38a39_READ_IterationsPls38a39(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x124C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls38a39_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls38a39)
{
    DT_ASSERT((IterationsPls38a39 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x124C, IterationsPls38a39);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls40a41' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls40a41_READ_IterationsPls40a41(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1250) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls40a41_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls40a41)
{
    DT_ASSERT((IterationsPls40a41 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1250, IterationsPls40a41);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls42a43' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls42a43_READ_IterationsPls42a43(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1254) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls42a43_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls42a43)
{
    DT_ASSERT((IterationsPls42a43 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1254, IterationsPls42a43);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls44a45' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls44a45_READ_IterationsPls44a45(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1258) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls44a45_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls44a45)
{
    DT_ASSERT((IterationsPls44a45 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1258, IterationsPls44a45);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls46a47' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls46a47_READ_IterationsPls46a47(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x125C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls46a47_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls46a47)
{
    DT_ASSERT((IterationsPls46a47 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x125C, IterationsPls46a47);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls48a49' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls48a49_READ_IterationsPls48a49(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1260) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls48a49_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls48a49)
{
    DT_ASSERT((IterationsPls48a49 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1260, IterationsPls48a49);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls50a51' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls50a51_READ_IterationsPls50a51(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1264) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls50a51_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls50a51)
{
    DT_ASSERT((IterationsPls50a51 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1264, IterationsPls50a51);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls52a53' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls52a53_READ_IterationsPls52a53(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1268) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls52a53_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls52a53)
{
    DT_ASSERT((IterationsPls52a53 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1268, IterationsPls52a53);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls54a55' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls54a55_READ_IterationsPls54a55(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x126C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls54a55_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls54a55)
{
    DT_ASSERT((IterationsPls54a55 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x126C, IterationsPls54a55);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls56a57' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls56a57_READ_IterationsPls56a57(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1270) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls56a57_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls56a57)
{
    DT_ASSERT((IterationsPls56a57 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1270, IterationsPls56a57);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls58a59' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls58a59_READ_IterationsPls58a59(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1274) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls58a59_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls58a59)
{
    DT_ASSERT((IterationsPls58a59 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1274, IterationsPls58a59);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls60a61' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls60a61_READ_IterationsPls60a61(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1278) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls60a61_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls60a61)
{
    DT_ASSERT((IterationsPls60a61 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1278, IterationsPls60a61);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls62a63' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls62a63_READ_IterationsPls62a63(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x127C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls62a63_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls62a63)
{
    DT_ASSERT((IterationsPls62a63 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x127C, IterationsPls62a63);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls64a65' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls64a65_READ_IterationsPls64a65(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1280) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls64a65_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls64a65)
{
    DT_ASSERT((IterationsPls64a65 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1280, IterationsPls64a65);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls66a67' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls66a67_READ_IterationsPls66a67(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1284) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls66a67_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls66a67)
{
    DT_ASSERT((IterationsPls66a67 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1284, IterationsPls66a67);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls68a69' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls68a69_READ_IterationsPls68a69(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1288) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls68a69_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls68a69)
{
    DT_ASSERT((IterationsPls68a69 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1288, IterationsPls68a69);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls70a71' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls70a71_READ_IterationsPls70a71(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x128C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls70a71_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls70a71)
{
    DT_ASSERT((IterationsPls70a71 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x128C, IterationsPls70a71);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls72a73' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls72a73_READ_IterationsPls72a73(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1290) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls72a73_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls72a73)
{
    DT_ASSERT((IterationsPls72a73 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1290, IterationsPls72a73);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls74a75' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls74a75_READ_IterationsPls74a75(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1294) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls74a75_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls74a75)
{
    DT_ASSERT((IterationsPls74a75 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1294, IterationsPls74a75);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls76a77' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls76a77_READ_IterationsPls76a77(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1298) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls76a77_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls76a77)
{
    DT_ASSERT((IterationsPls76a77 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1298, IterationsPls76a77);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls78a79' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls78a79_READ_IterationsPls78a79(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x129C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls78a79_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls78a79)
{
    DT_ASSERT((IterationsPls78a79 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x129C, IterationsPls78a79);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls80a81' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls80a81_READ_IterationsPls80a81(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12A0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls80a81_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls80a81)
{
    DT_ASSERT((IterationsPls80a81 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12A0, IterationsPls80a81);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls82a83' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls82a83_READ_IterationsPls82a83(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12A4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls82a83_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls82a83)
{
    DT_ASSERT((IterationsPls82a83 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12A4, IterationsPls82a83);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls84a85' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls84a85_READ_IterationsPls84a85(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12A8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls84a85_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls84a85)
{
    DT_ASSERT((IterationsPls84a85 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12A8, IterationsPls84a85);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls86a87' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls86a87_READ_IterationsPls86a87(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12AC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls86a87_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls86a87)
{
    DT_ASSERT((IterationsPls86a87 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12AC, IterationsPls86a87);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls88a89' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls88a89_READ_IterationsPls88a89(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12B0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls88a89_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls88a89)
{
    DT_ASSERT((IterationsPls88a89 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12B0, IterationsPls88a89);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls90a91' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls90a91_READ_IterationsPls90a91(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12B4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls90a91_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls90a91)
{
    DT_ASSERT((IterationsPls90a91 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12B4, IterationsPls90a91);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls92a93' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls92a93_READ_IterationsPls92a93(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12B8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls92a93_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls92a93)
{
    DT_ASSERT((IterationsPls92a93 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12B8, IterationsPls92a93);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls94a95' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls94a95_READ_IterationsPls94a95(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12BC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls94a95_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls94a95)
{
    DT_ASSERT((IterationsPls94a95 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12BC, IterationsPls94a95);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls96a97' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls96a97_READ_IterationsPls96a97(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12C0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls96a97_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls96a97)
{
    DT_ASSERT((IterationsPls96a97 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12C0, IterationsPls96a97);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls98a99' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls98a99_READ_IterationsPls98a99(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12C4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls98a99_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls98a99)
{
    DT_ASSERT((IterationsPls98a99 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12C4, IterationsPls98a99);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls100a101' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls100a101_READ_IterationsPls100a101(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12C8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls100a101_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls100a101)
{
    DT_ASSERT((IterationsPls100a101 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12C8, IterationsPls100a101);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls102a103' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls102a103_READ_IterationsPls102a103(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12CC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls102a103_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls102a103)
{
    DT_ASSERT((IterationsPls102a103 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12CC, IterationsPls102a103);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls104a105' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls104a105_READ_IterationsPls104a105(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12D0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls104a105_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls104a105)
{
    DT_ASSERT((IterationsPls104a105 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12D0, IterationsPls104a105);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls106a107' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls106a107_READ_IterationsPls106a107(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12D4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls106a107_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls106a107)
{
    DT_ASSERT((IterationsPls106a107 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12D4, IterationsPls106a107);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls108a109' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls108a109_READ_IterationsPls108a109(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12D8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls108a109_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls108a109)
{
    DT_ASSERT((IterationsPls108a109 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12D8, IterationsPls108a109);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls110a111' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls110a111_READ_IterationsPls110a111(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12DC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls110a111_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls110a111)
{
    DT_ASSERT((IterationsPls110a111 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12DC, IterationsPls110a111);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls112a113' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls112a113_READ_IterationsPls112a113(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12E0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls112a113_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls112a113)
{
    DT_ASSERT((IterationsPls112a113 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12E0, IterationsPls112a113);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls114a115' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls114a115_READ_IterationsPls114a115(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12E4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls114a115_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls114a115)
{
    DT_ASSERT((IterationsPls114a115 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12E4, IterationsPls114a115);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls116a117' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls116a117_READ_IterationsPls116a117(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12E8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls116a117_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls116a117)
{
    DT_ASSERT((IterationsPls116a117 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12E8, IterationsPls116a117);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls118a119' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls118a119_READ_IterationsPls118a119(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12EC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls118a119_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls118a119)
{
    DT_ASSERT((IterationsPls118a119 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12EC, IterationsPls118a119);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls120a121' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls120a121_READ_IterationsPls120a121(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12F0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls120a121_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls120a121)
{
    DT_ASSERT((IterationsPls120a121 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12F0, IterationsPls120a121);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls122a123' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls122a123_READ_IterationsPls122a123(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12F4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls122a123_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls122a123)
{
    DT_ASSERT((IterationsPls122a123 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12F4, IterationsPls122a123);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls124a125' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls124a125_READ_IterationsPls124a125(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12F8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls124a125_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls124a125)
{
    DT_ASSERT((IterationsPls124a125 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12F8, IterationsPls124a125);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls126a127' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls126a127_READ_IterationsPls126a127(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12FC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls126a127_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls126a127)
{
    DT_ASSERT((IterationsPls126a127 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x12FC, IterationsPls126a127);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls128a129' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls128a129_READ_IterationsPls128a129(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1300) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls128a129_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls128a129)
{
    DT_ASSERT((IterationsPls128a129 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1300, IterationsPls128a129);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls130a131' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls130a131_READ_IterationsPls130a131(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1304) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls130a131_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls130a131)
{
    DT_ASSERT((IterationsPls130a131 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1304, IterationsPls130a131);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls132a133' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls132a133_READ_IterationsPls132a133(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1308) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls132a133_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls132a133)
{
    DT_ASSERT((IterationsPls132a133 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1308, IterationsPls132a133);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls134a135' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls134a135_READ_IterationsPls134a135(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x130C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls134a135_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls134a135)
{
    DT_ASSERT((IterationsPls134a135 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x130C, IterationsPls134a135);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls136a137' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls136a137_READ_IterationsPls136a137(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1310) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls136a137_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls136a137)
{
    DT_ASSERT((IterationsPls136a137 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1310, IterationsPls136a137);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls138a139' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls138a139_READ_IterationsPls138a139(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1314) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls138a139_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls138a139)
{
    DT_ASSERT((IterationsPls138a139 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1314, IterationsPls138a139);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls140a141' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls140a141_READ_IterationsPls140a141(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1318) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls140a141_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls140a141)
{
    DT_ASSERT((IterationsPls140a141 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1318, IterationsPls140a141);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls142a143' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls142a143_READ_IterationsPls142a143(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x131C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls142a143_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls142a143)
{
    DT_ASSERT((IterationsPls142a143 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x131C, IterationsPls142a143);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls144a145' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls144a145_READ_IterationsPls144a145(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1320) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls144a145_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls144a145)
{
    DT_ASSERT((IterationsPls144a145 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1320, IterationsPls144a145);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls146a147' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls146a147_READ_IterationsPls146a147(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1324) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls146a147_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls146a147)
{
    DT_ASSERT((IterationsPls146a147 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1324, IterationsPls146a147);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls148a149' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls148a149_READ_IterationsPls148a149(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1328) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls148a149_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls148a149)
{
    DT_ASSERT((IterationsPls148a149 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1328, IterationsPls148a149);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls150a151' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls150a151_READ_IterationsPls150a151(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x132C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls150a151_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls150a151)
{
    DT_ASSERT((IterationsPls150a151 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x132C, IterationsPls150a151);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls152a153' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls152a153_READ_IterationsPls152a153(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1330) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls152a153_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls152a153)
{
    DT_ASSERT((IterationsPls152a153 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1330, IterationsPls152a153);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls154a155' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls154a155_READ_IterationsPls154a155(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1334) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls154a155_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls154a155)
{
    DT_ASSERT((IterationsPls154a155 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1334, IterationsPls154a155);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls156a157' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls156a157_READ_IterationsPls156a157(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1338) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls156a157_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls156a157)
{
    DT_ASSERT((IterationsPls156a157 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1338, IterationsPls156a157);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls158a159' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls158a159_READ_IterationsPls158a159(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x133C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls158a159_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls158a159)
{
    DT_ASSERT((IterationsPls158a159 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x133C, IterationsPls158a159);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls160a161' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls160a161_READ_IterationsPls160a161(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1340) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls160a161_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls160a161)
{
    DT_ASSERT((IterationsPls160a161 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1340, IterationsPls160a161);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls162a163' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls162a163_READ_IterationsPls162a163(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1344) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls162a163_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls162a163)
{
    DT_ASSERT((IterationsPls162a163 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1344, IterationsPls162a163);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls164a165' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls164a165_READ_IterationsPls164a165(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1348) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls164a165_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls164a165)
{
    DT_ASSERT((IterationsPls164a165 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1348, IterationsPls164a165);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls166a167' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls166a167_READ_IterationsPls166a167(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x134C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls166a167_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls166a167)
{
    DT_ASSERT((IterationsPls166a167 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x134C, IterationsPls166a167);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls168a169' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls168a169_READ_IterationsPls168a169(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1350) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls168a169_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls168a169)
{
    DT_ASSERT((IterationsPls168a169 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1350, IterationsPls168a169);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls170a171' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls170a171_READ_IterationsPls170a171(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1354) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls170a171_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls170a171)
{
    DT_ASSERT((IterationsPls170a171 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1354, IterationsPls170a171);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls172a173' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls172a173_READ_IterationsPls172a173(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1358) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls172a173_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls172a173)
{
    DT_ASSERT((IterationsPls172a173 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1358, IterationsPls172a173);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls174a175' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls174a175_READ_IterationsPls174a175(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x135C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls174a175_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls174a175)
{
    DT_ASSERT((IterationsPls174a175 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x135C, IterationsPls174a175);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls176a177' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls176a177_READ_IterationsPls176a177(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1360) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls176a177_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls176a177)
{
    DT_ASSERT((IterationsPls176a177 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1360, IterationsPls176a177);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls178a179' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls178a179_READ_IterationsPls178a179(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1364) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls178a179_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls178a179)
{
    DT_ASSERT((IterationsPls178a179 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1364, IterationsPls178a179);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls180a181' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls180a181_READ_IterationsPls180a181(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1368) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls180a181_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls180a181)
{
    DT_ASSERT((IterationsPls180a181 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1368, IterationsPls180a181);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls182a183' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls182a183_READ_IterationsPls182a183(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x136C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls182a183_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls182a183)
{
    DT_ASSERT((IterationsPls182a183 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x136C, IterationsPls182a183);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls184a185' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls184a185_READ_IterationsPls184a185(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1370) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls184a185_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls184a185)
{
    DT_ASSERT((IterationsPls184a185 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1370, IterationsPls184a185);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls186a187' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls186a187_READ_IterationsPls186a187(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1374) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls186a187_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls186a187)
{
    DT_ASSERT((IterationsPls186a187 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1374, IterationsPls186a187);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls188a189' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls188a189_READ_IterationsPls188a189(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1378) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls188a189_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls188a189)
{
    DT_ASSERT((IterationsPls188a189 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1378, IterationsPls188a189);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls190a191' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls190a191_READ_IterationsPls190a191(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x137C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls190a191_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls190a191)
{
    DT_ASSERT((IterationsPls190a191 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x137C, IterationsPls190a191);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls192a193' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls192a193_READ_IterationsPls192a193(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1380) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls192a193_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls192a193)
{
    DT_ASSERT((IterationsPls192a193 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1380, IterationsPls192a193);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls194a195' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls194a195_READ_IterationsPls194a195(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1384) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls194a195_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls194a195)
{
    DT_ASSERT((IterationsPls194a195 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1384, IterationsPls194a195);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls196a197' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls196a197_READ_IterationsPls196a197(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1388) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls196a197_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls196a197)
{
    DT_ASSERT((IterationsPls196a197 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1388, IterationsPls196a197);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls198a199' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls198a199_READ_IterationsPls198a199(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x138C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls198a199_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls198a199)
{
    DT_ASSERT((IterationsPls198a199 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x138C, IterationsPls198a199);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls200a201' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls200a201_READ_IterationsPls200a201(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1390) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls200a201_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls200a201)
{
    DT_ASSERT((IterationsPls200a201 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1390, IterationsPls200a201);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls202a203' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls202a203_READ_IterationsPls202a203(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1394) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls202a203_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls202a203)
{
    DT_ASSERT((IterationsPls202a203 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1394, IterationsPls202a203);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls204a205' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls204a205_READ_IterationsPls204a205(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1398) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls204a205_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls204a205)
{
    DT_ASSERT((IterationsPls204a205 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1398, IterationsPls204a205);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls206a207' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls206a207_READ_IterationsPls206a207(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x139C) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls206a207_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls206a207)
{
    DT_ASSERT((IterationsPls206a207 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x139C, IterationsPls206a207);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls208a209' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls208a209_READ_IterationsPls208a209(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13A0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls208a209_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls208a209)
{
    DT_ASSERT((IterationsPls208a209 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13A0, IterationsPls208a209);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls210a211' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls210a211_READ_IterationsPls210a211(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13A4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls210a211_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls210a211)
{
    DT_ASSERT((IterationsPls210a211 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13A4, IterationsPls210a211);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls212a213' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls212a213_READ_IterationsPls212a213(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13A8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls212a213_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls212a213)
{
    DT_ASSERT((IterationsPls212a213 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13A8, IterationsPls212a213);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls214a215' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls214a215_READ_IterationsPls214a215(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13AC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls214a215_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls214a215)
{
    DT_ASSERT((IterationsPls214a215 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13AC, IterationsPls214a215);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls216a217' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls216a217_READ_IterationsPls216a217(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13B0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls216a217_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls216a217)
{
    DT_ASSERT((IterationsPls216a217 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13B0, IterationsPls216a217);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls218a219' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls218a219_READ_IterationsPls218a219(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13B4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls218a219_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls218a219)
{
    DT_ASSERT((IterationsPls218a219 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13B4, IterationsPls218a219);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls220a221' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls220a221_READ_IterationsPls220a221(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13B8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls220a221_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls220a221)
{
    DT_ASSERT((IterationsPls220a221 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13B8, IterationsPls220a221);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls222a223' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls222a223_READ_IterationsPls222a223(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13BC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls222a223_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls222a223)
{
    DT_ASSERT((IterationsPls222a223 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13BC, IterationsPls222a223);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls224a225' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls224a225_READ_IterationsPls224a225(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13C0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls224a225_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls224a225)
{
    DT_ASSERT((IterationsPls224a225 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13C0, IterationsPls224a225);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls226a227' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls226a227_READ_IterationsPls226a227(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13C4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls226a227_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls226a227)
{
    DT_ASSERT((IterationsPls226a227 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13C4, IterationsPls226a227);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls228a229' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls228a229_READ_IterationsPls228a229(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13C8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls228a229_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls228a229)
{
    DT_ASSERT((IterationsPls228a229 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13C8, IterationsPls228a229);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls230a231' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls230a231_READ_IterationsPls230a231(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13CC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls230a231_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls230a231)
{
    DT_ASSERT((IterationsPls230a231 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13CC, IterationsPls230a231);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls232a233' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls232a233_READ_IterationsPls232a233(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13D0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls232a233_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls232a233)
{
    DT_ASSERT((IterationsPls232a233 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13D0, IterationsPls232a233);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls234a235' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls234a235_READ_IterationsPls234a235(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13D4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls234a235_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls234a235)
{
    DT_ASSERT((IterationsPls234a235 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13D4, IterationsPls234a235);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls236a237' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls236a237_READ_IterationsPls236a237(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13D8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls236a237_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls236a237)
{
    DT_ASSERT((IterationsPls236a237 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13D8, IterationsPls236a237);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls238a239' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls238a239_READ_IterationsPls238a239(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13DC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls238a239_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls238a239)
{
    DT_ASSERT((IterationsPls238a239 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13DC, IterationsPls238a239);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls240a241' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls240a241_READ_IterationsPls240a241(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13E0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls240a241_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls240a241)
{
    DT_ASSERT((IterationsPls240a241 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13E0, IterationsPls240a241);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls242a243' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls242a243_READ_IterationsPls242a243(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13E4) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls242a243_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls242a243)
{
    DT_ASSERT((IterationsPls242a243 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13E4, IterationsPls242a243);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls244a245' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls244a245_READ_IterationsPls244a245(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13E8) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls244a245_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls244a245)
{
    DT_ASSERT((IterationsPls244a245 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13E8, IterationsPls244a245);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls246a247' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls246a247_READ_IterationsPls246a247(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13EC) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls246a247_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls246a247)
{
    DT_ASSERT((IterationsPls246a247 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13EC, IterationsPls246a247);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'LdpcItPls248a249' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEC_LdpcItPls248a249_READ_IterationsPls248a249(DtBcS2DEC_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13F0) & 0x7F;
}

// Field WRITE function
static __inline void  S2DEC_IterationsPls248a249_WRITE(DtBcS2DEC_2132* pBc, UInt32 IterationsPls248a249)
{
    DT_ASSERT((IterationsPls248a249 & ~0x7F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x13F0, IterationsPls248a249);
}

