//#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#* DtBcS2DEMOD_2132_RegAccess.h *#*#*#*#*#*#*#* (C) 2018 DekTec
//
// Device driver - S2Demod v-1 (S2DEMOD) - Register access functions
//
// The register access functions defined here are elementary inline functions to read
// from and write to registers of BB2.0 building block S2Demod.
// These functions should solely be used by the block controller for S2Demod.
//
// 2018.05.08 15:15 - AUTOGENERATED BY DtBlock - DO NOT EDIT THIS FILE BY HAND

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- License -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Copyright (C) 2017 DekTec Digital Video B.V.
//
// Redistribution and use in source and binary forms, with or without modification, are
// permitted provided that the following conditions are met:
//  1. Redistributions of source code must retain the above copyright notice, this list
//     of conditions and the following disclaimer.
//  2. Redistributions in binary format must reproduce the above copyright notice, this
//     list of conditions and the following disclaimer in the documentation.
//
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
// INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL DEKTEC DIGITAL VIDEO BV, ITS AGENTS OR ITS EMPLOYEES BE LIABLE FOR
// ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL, OR OTHER DAMAGES (INCLUDING DAMAGES
// FOR THE LOSS OF USE, INFORMATION, GOODWILL, PROFIT, WORK STOPPAGE, DATA, BUSINESS OR
// REVENUE) UNDER ANY CIRCUMSTANCES, OR UNDER ANY LEGAL THEORY, WHETHER IN CONTRACT, IN
// TORT, IN NEGLIGENCE, OR OTHERWISE, ARISING FROM THE USE OF, OR INABILITY TO USE THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ EXAMPLES +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+
//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
//
// 1. Getting fields 'MinorVersion' and 'MajorVersion' from register 'CoreVersionInfo':
//      UInt32  Reg_CoreVersionInfo, MinorVersion, MajorVersion;
//      Reg_CoreVersionInfo = S2DEMOD_CoreVersionInfo_READ(pBc);
//      MinorVersion        =
// S2DEMOD_CoreVersionInfo_GET_MinorVersion(Reg_CoreVersionInfo);
//      MajorVersion        =
// S2DEMOD_CoreVersionInfo_GET_MajorVersion(Reg_CoreVersionInfo);
//
// 2. Single-function shorthand for reading field 'AbsValueSquareBin127' from register
//    'FftSpectrum127':
//      UInt32  AbsValueSquareBin127 =
// S2DEMOD_FftSpectrum127_READ_AbsValueSquareBin127(pBc);
//
// Updating multiple fields in the same register:
//   UInt32  Reg_InterruptStatus = S2DEMOD_InterruptStatus_READ(pBc);
//   S2DEMOD_InterruptStatus_SET_Demodulator(Reg_InterruptStatus, 1);
//   S2DEMOD_InterruptStatus_SET_PlHeaderSync(Reg_InterruptStatus, 1);
//   S2DEMOD_InterruptStatus_WRITE(pBc, Reg_InterruptStatus);
//
//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ NOTES +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
//
// A) No automatic caching is provided, the user has to manage a 'cache' of 32-bit
// register values himself. The number of register reads and writes shall be minimized,
// as these are extremely slow (hundreds of CPU cycles for PCIe bus and orders of
// magnitude longer for USB).
//
// B) To read a field, the register shall first be read into an UInt32 using a READ
// function, followed by getting the field from the UInt32 value with a GET function.
// Field READ functions (a combination of the register READ- and field GET function) are
// provided for convenience, but these should only be used if the register value is just
// needed once for getting a single field.
//
// C) No register-access functions are generated for the BlockId register at address 0,
// nor for interrupt-status registers. The driver has generic (BB-independent) functions
// available for accessing these registers.

//=+=+=+=+=+=+=+=+=+=+=+ List of Generated Register-Access Functions +=+=+=+=+=+=+=+=+=+=+

// S2DEMOD_ACQCoefficientG0_WRITE
// S2DEMOD_ACQCoefficientG1_WRITE
// S2DEMOD_ACQCoefficientK1_WRITE
// S2DEMOD_ACQCoefficientK2_WRITE
// S2DEMOD_AntiAlisasingFilter_READ_FilterSelect
// S2DEMOD_CoarsePhaseIncrement_READ
// S2DEMOD_CoreVersionInfo_GET_MajorVersion
// S2DEMOD_CoreVersionInfo_GET_MinorVersion
// S2DEMOD_CoreVersionInfo_READ
// S2DEMOD_CoreVersionInfo_READ_MajorVersion
// S2DEMOD_CoreVersionInfo_READ_MinorVersion
// S2DEMOD_DaAgcCorrGainFactor_READ_DaAgcGainFactor
// S2DEMOD_DcOffsetValue_GET_ImaginaryPart
// S2DEMOD_DcOffsetValue_GET_RealPart
// S2DEMOD_DcOffsetValue_READ
// S2DEMOD_DcOffsetValue_READ_ImaginaryPart
// S2DEMOD_DcOffsetValue_READ_RealPart
// S2DEMOD_DcOffsetWeightFactor_READ_WeightFactor
// S2DEMOD_DecimationRate_READ
// S2DEMOD_DecimationRate_WRITE
// S2DEMOD_DetPlsValue_READ_PlsValue
// S2DEMOD_DetSpectrumInversion_READ_SpectrumInversion
// S2DEMOD_EqualizerTap0_GET_ImaginaryPart
// S2DEMOD_EqualizerTap0_GET_RealPart
// S2DEMOD_EqualizerTap0_READ
// S2DEMOD_EqualizerTap0_READ_ImaginaryPart
// S2DEMOD_EqualizerTap0_READ_RealPart
// S2DEMOD_EqualizerTap1_GET_ImaginaryPart
// S2DEMOD_EqualizerTap1_GET_RealPart
// S2DEMOD_EqualizerTap1_READ
// S2DEMOD_EqualizerTap1_READ_ImaginaryPart
// S2DEMOD_EqualizerTap1_READ_RealPart
// S2DEMOD_EqualizerTap2_GET_ImaginaryPart
// S2DEMOD_EqualizerTap2_GET_RealPart
// S2DEMOD_EqualizerTap2_READ
// S2DEMOD_EqualizerTap2_READ_ImaginaryPart
// S2DEMOD_EqualizerTap2_READ_RealPart
// S2DEMOD_EqualizerTap3_GET_ImaginaryPart
// S2DEMOD_EqualizerTap3_GET_RealPart
// S2DEMOD_EqualizerTap3_READ
// S2DEMOD_EqualizerTap3_READ_ImaginaryPart
// S2DEMOD_EqualizerTap3_READ_RealPart
// S2DEMOD_EqualizerTap4_GET_ImaginaryPart
// S2DEMOD_EqualizerTap4_GET_RealPart
// S2DEMOD_EqualizerTap4_READ
// S2DEMOD_EqualizerTap4_READ_ImaginaryPart
// S2DEMOD_EqualizerTap4_READ_RealPart
// S2DEMOD_EqualizerTap5_GET_ImaginaryPart
// S2DEMOD_EqualizerTap5_GET_RealPart
// S2DEMOD_EqualizerTap5_READ
// S2DEMOD_EqualizerTap5_READ_ImaginaryPart
// S2DEMOD_EqualizerTap5_READ_RealPart
// S2DEMOD_EqualizerTap6_GET_ImaginaryPart
// S2DEMOD_EqualizerTap6_GET_RealPart
// S2DEMOD_EqualizerTap6_READ
// S2DEMOD_EqualizerTap6_READ_ImaginaryPart
// S2DEMOD_EqualizerTap6_READ_RealPart
// S2DEMOD_Equalizer_GET_Mode
// S2DEMOD_Equalizer_GET_StepSize
// S2DEMOD_Equalizer_READ
// S2DEMOD_Equalizer_SET_Mode
// S2DEMOD_Equalizer_SET_StepSize
// S2DEMOD_Equalizer_WRITE
// S2DEMOD_FftSpectrum0_READ_AbsValueSquareBin0
// S2DEMOD_FftSpectrum100_READ_AbsValueSquareBin100
// S2DEMOD_FftSpectrum101_READ_AbsValueSquareBin101
// S2DEMOD_FftSpectrum102_READ_AbsValueSquareBin102
// S2DEMOD_FftSpectrum103_READ_AbsValueSquareBin103
// S2DEMOD_FftSpectrum104_READ_AbsValueSquareBin104
// S2DEMOD_FftSpectrum105_READ_AbsValueSquareBin105
// S2DEMOD_FftSpectrum106_READ_AbsValueSquareBin106
// S2DEMOD_FftSpectrum107_READ_AbsValueSquareBin107
// S2DEMOD_FftSpectrum108_READ_AbsValueSquareBin108
// S2DEMOD_FftSpectrum109_READ_AbsValueSquareBin109
// S2DEMOD_FftSpectrum10_READ_AbsValueSquareBin10
// S2DEMOD_FftSpectrum110_READ_AbsValueSquareBin110
// S2DEMOD_FftSpectrum111_READ_AbsValueSquareBin111
// S2DEMOD_FftSpectrum112_READ_AbsValueSquareBin112
// S2DEMOD_FftSpectrum113_READ_AbsValueSquareBin113
// S2DEMOD_FftSpectrum114_READ_AbsValueSquareBin114
// S2DEMOD_FftSpectrum115_READ_AbsValueSquareBin115
// S2DEMOD_FftSpectrum116_READ_AbsValueSquareBin116
// S2DEMOD_FftSpectrum117_READ_AbsValueSquareBin117
// S2DEMOD_FftSpectrum118_READ_AbsValueSquareBin118
// S2DEMOD_FftSpectrum119_READ_AbsValueSquareBin119
// S2DEMOD_FftSpectrum11_READ_AbsValueSquareBin11
// S2DEMOD_FftSpectrum120_READ_AbsValueSquareBin120
// S2DEMOD_FftSpectrum121_READ_AbsValueSquareBin121
// S2DEMOD_FftSpectrum122_READ_AbsValueSquareBin122
// S2DEMOD_FftSpectrum123_READ_AbsValueSquareBin123
// S2DEMOD_FftSpectrum124_READ_AbsValueSquareBin124
// S2DEMOD_FftSpectrum125_READ_AbsValueSquareBin125
// S2DEMOD_FftSpectrum126_READ_AbsValueSquareBin126
// S2DEMOD_FftSpectrum127_READ_AbsValueSquareBin127
// S2DEMOD_FftSpectrum12_READ_AbsValueSquareBin12
// S2DEMOD_FftSpectrum13_READ_AbsValueSquareBin13
// S2DEMOD_FftSpectrum14_READ_AbsValueSquareBin14
// S2DEMOD_FftSpectrum15_READ_AbsValueSquareBin15
// S2DEMOD_FftSpectrum16_READ_AbsValueSquareBin16
// S2DEMOD_FftSpectrum17_READ_AbsValueSquareBin17
// S2DEMOD_FftSpectrum18_READ_AbsValueSquareBin18
// S2DEMOD_FftSpectrum19_READ_AbsValueSquareBin19
// S2DEMOD_FftSpectrum1_READ_AbsValueSquareBin1
// S2DEMOD_FftSpectrum20_READ_AbsValueSquareBin20
// S2DEMOD_FftSpectrum21_READ_AbsValueSquareBin21
// S2DEMOD_FftSpectrum22_READ_AbsValueSquareBin22
// S2DEMOD_FftSpectrum23_READ_AbsValueSquareBin23
// S2DEMOD_FftSpectrum24_READ_AbsValueSquareBin24
// S2DEMOD_FftSpectrum25_READ_AbsValueSquareBin25
// S2DEMOD_FftSpectrum26_READ_AbsValueSquareBin26
// S2DEMOD_FftSpectrum27_READ_AbsValueSquareBin27
// S2DEMOD_FftSpectrum28_READ_AbsValueSquareBin28
// S2DEMOD_FftSpectrum29_READ_AbsValueSquareBin29
// S2DEMOD_FftSpectrum2_READ_AbsValueSquareBin2
// S2DEMOD_FftSpectrum30_READ_AbsValueSquareBin30
// S2DEMOD_FftSpectrum31_READ_AbsValueSquareBin31
// S2DEMOD_FftSpectrum32_READ_AbsValueSquareBin32
// S2DEMOD_FftSpectrum33_READ_AbsValueSquareBin33
// S2DEMOD_FftSpectrum34_READ_AbsValueSquareBin34
// S2DEMOD_FftSpectrum35_READ_AbsValueSquareBin35
// S2DEMOD_FftSpectrum36_READ_AbsValueSquareBin36
// S2DEMOD_FftSpectrum37_READ_AbsValueSquareBin37
// S2DEMOD_FftSpectrum38_READ_AbsValueSquareBin38
// S2DEMOD_FftSpectrum39_READ_AbsValueSquareBin39
// S2DEMOD_FftSpectrum3_READ_AbsValueSquareBin3
// S2DEMOD_FftSpectrum40_READ_AbsValueSquareBin40
// S2DEMOD_FftSpectrum41_READ_AbsValueSquareBin41
// S2DEMOD_FftSpectrum42_READ_AbsValueSquareBin42
// S2DEMOD_FftSpectrum43_READ_AbsValueSquareBin43
// S2DEMOD_FftSpectrum44_READ_AbsValueSquareBin44
// S2DEMOD_FftSpectrum45_READ_AbsValueSquareBin45
// S2DEMOD_FftSpectrum46_READ_AbsValueSquareBin46
// S2DEMOD_FftSpectrum47_READ_AbsValueSquareBin47
// S2DEMOD_FftSpectrum48_READ_AbsValueSquareBin48
// S2DEMOD_FftSpectrum49_READ_AbsValueSquareBin49
// S2DEMOD_FftSpectrum4_READ_AbsValueSquareBin4
// S2DEMOD_FftSpectrum50_READ_AbsValueSquareBin50
// S2DEMOD_FftSpectrum51_READ_AbsValueSquareBin51
// S2DEMOD_FftSpectrum52_READ_AbsValueSquareBin52
// S2DEMOD_FftSpectrum53_READ_AbsValueSquareBin53
// S2DEMOD_FftSpectrum54_READ_AbsValueSquareBin54
// S2DEMOD_FftSpectrum55_READ_AbsValueSquareBin55
// S2DEMOD_FftSpectrum56_READ_AbsValueSquareBin56
// S2DEMOD_FftSpectrum57_READ_AbsValueSquareBin57
// S2DEMOD_FftSpectrum58_READ_AbsValueSquareBin58
// S2DEMOD_FftSpectrum59_READ_AbsValueSquareBin59
// S2DEMOD_FftSpectrum5_READ_AbsValueSquareBin5
// S2DEMOD_FftSpectrum60_READ_AbsValueSquareBin60
// S2DEMOD_FftSpectrum61_READ_AbsValueSquareBin61
// S2DEMOD_FftSpectrum62_READ_AbsValueSquareBin62
// S2DEMOD_FftSpectrum63_READ_AbsValueSquareBin63
// S2DEMOD_FftSpectrum64_READ_AbsValueSquareBin64
// S2DEMOD_FftSpectrum65_READ_AbsValueSquareBin65
// S2DEMOD_FftSpectrum66_READ_AbsValueSquareBin66
// S2DEMOD_FftSpectrum67_READ_AbsValueSquareBin67
// S2DEMOD_FftSpectrum68_READ_AbsValueSquareBin68
// S2DEMOD_FftSpectrum69_READ_AbsValueSquareBin69
// S2DEMOD_FftSpectrum6_READ_AbsValueSquareBin6
// S2DEMOD_FftSpectrum70_READ_AbsValueSquareBin70
// S2DEMOD_FftSpectrum71_READ_AbsValueSquareBin71
// S2DEMOD_FftSpectrum72_READ_AbsValueSquareBin72
// S2DEMOD_FftSpectrum73_READ_AbsValueSquareBin73
// S2DEMOD_FftSpectrum74_READ_AbsValueSquareBin74
// S2DEMOD_FftSpectrum75_READ_AbsValueSquareBin75
// S2DEMOD_FftSpectrum76_READ_AbsValueSquareBin76
// S2DEMOD_FftSpectrum77_READ_AbsValueSquareBin77
// S2DEMOD_FftSpectrum78_READ_AbsValueSquareBin78
// S2DEMOD_FftSpectrum79_READ_AbsValueSquareBin79
// S2DEMOD_FftSpectrum7_READ_AbsValueSquareBin7
// S2DEMOD_FftSpectrum80_READ_AbsValueSquareBin80
// S2DEMOD_FftSpectrum81_READ_AbsValueSquareBin81
// S2DEMOD_FftSpectrum82_READ_AbsValueSquareBin82
// S2DEMOD_FftSpectrum83_READ_AbsValueSquareBin83
// S2DEMOD_FftSpectrum84_READ_AbsValueSquareBin84
// S2DEMOD_FftSpectrum85_READ_AbsValueSquareBin85
// S2DEMOD_FftSpectrum86_READ_AbsValueSquareBin86
// S2DEMOD_FftSpectrum87_READ_AbsValueSquareBin87
// S2DEMOD_FftSpectrum88_READ_AbsValueSquareBin88
// S2DEMOD_FftSpectrum89_READ_AbsValueSquareBin89
// S2DEMOD_FftSpectrum8_READ_AbsValueSquareBin8
// S2DEMOD_FftSpectrum90_READ_AbsValueSquareBin90
// S2DEMOD_FftSpectrum91_READ_AbsValueSquareBin91
// S2DEMOD_FftSpectrum92_READ_AbsValueSquareBin92
// S2DEMOD_FftSpectrum93_READ_AbsValueSquareBin93
// S2DEMOD_FftSpectrum94_READ_AbsValueSquareBin94
// S2DEMOD_FftSpectrum95_READ_AbsValueSquareBin95
// S2DEMOD_FftSpectrum96_READ_AbsValueSquareBin96
// S2DEMOD_FftSpectrum97_READ_AbsValueSquareBin97
// S2DEMOD_FftSpectrum98_READ_AbsValueSquareBin98
// S2DEMOD_FftSpectrum99_READ_AbsValueSquareBin99
// S2DEMOD_FftSpectrum9_READ_AbsValueSquareBin9
// S2DEMOD_FilterSelect_WRITE
// S2DEMOD_FineFreqOffset_READ_FreqOffset
// S2DEMOD_FineFreqWindowLength_READ
// S2DEMOD_FineFreqWindowLength_WRITE
// S2DEMOD_FinePhaseOffset_READ
// S2DEMOD_FreqLoopFilterCoef0_READ_ACQCoefficientK1
// S2DEMOD_FreqLoopFilterCoef1_READ_ACQCoefficientK2
// S2DEMOD_FreqLoopFilterCoef2_READ_TRKCoefficientK1
// S2DEMOD_FreqLoopFilterCoef3_READ_TRKCoefficientK2
// S2DEMOD_FreqOffset_READ
// S2DEMOD_GlobalControl_READ_SoftReset
// S2DEMOD_GlobalStatus_GET_Demodulator
// S2DEMOD_GlobalStatus_GET_FineFrequency
// S2DEMOD_GlobalStatus_GET_FrequencyLoop
// S2DEMOD_GlobalStatus_GET_NoSignal
// S2DEMOD_GlobalStatus_GET_PlHeaderSync
// S2DEMOD_GlobalStatus_GET_TimingLoop
// S2DEMOD_GlobalStatus_READ
// S2DEMOD_GlobalStatus_READ_Demodulator
// S2DEMOD_GlobalStatus_READ_FineFrequency
// S2DEMOD_GlobalStatus_READ_FrequencyLoop
// S2DEMOD_GlobalStatus_READ_NoSignal
// S2DEMOD_GlobalStatus_READ_PlHeaderSync
// S2DEMOD_GlobalStatus_READ_TimingLoop
// S2DEMOD_InitSampleRateRatio_READ
// S2DEMOD_InitSampleRateRatio_WRITE
// S2DEMOD_InitSymbRateRatio_READ_InitSymbolRateRatio
// S2DEMOD_InitSymbolRateRatio_WRITE
// S2DEMOD_InterruptEnable_GET_Demodulator
// S2DEMOD_InterruptEnable_GET_FrequencyLoop
// S2DEMOD_InterruptEnable_GET_PlHeaderSync
// S2DEMOD_InterruptEnable_GET_TimingLoop
// S2DEMOD_InterruptEnable_READ
// S2DEMOD_InterruptEnable_SET_Demodulator
// S2DEMOD_InterruptEnable_SET_FrequencyLoop
// S2DEMOD_InterruptEnable_SET_PlHeaderSync
// S2DEMOD_InterruptEnable_SET_TimingLoop
// S2DEMOD_InterruptEnable_WRITE
// S2DEMOD_InterruptStatus_GET_Demodulator
// S2DEMOD_InterruptStatus_GET_FrequencyLoop
// S2DEMOD_InterruptStatus_GET_PlHeaderSync
// S2DEMOD_InterruptStatus_GET_TimingLoop
// S2DEMOD_InterruptStatus_READ
// S2DEMOD_InterruptStatus_SET_Demodulator
// S2DEMOD_InterruptStatus_SET_FrequencyLoop
// S2DEMOD_InterruptStatus_SET_PlHeaderSync
// S2DEMOD_InterruptStatus_SET_TimingLoop
// S2DEMOD_InterruptStatus_WRITE
// S2DEMOD_IqImbalanceValue_GET_MagnitudeImbalance
// S2DEMOD_IqImbalanceValue_GET_PhaseImbalance
// S2DEMOD_IqImbalanceValue_READ
// S2DEMOD_IqImbalanceValue_READ_MagnitudeImbalance
// S2DEMOD_IqImbalanceValue_READ_PhaseImbalance
// S2DEMOD_MeasSymbRateRatio_READ_MeasSymbolRateRatio
// S2DEMOD_MeasSymbolRateRatio_WRITE
// S2DEMOD_NdaAgcGainFactor_READ_AgcGain
// S2DEMOD_NdaAgcWindowLength_READ_WindowLength
// S2DEMOD_PlInformation_GET_Mode
// S2DEMOD_PlInformation_GET_PlsValue
// S2DEMOD_PlInformation_READ
// S2DEMOD_PlInformation_SET_Mode
// S2DEMOD_PlInformation_SET_PlsValue
// S2DEMOD_PlInformation_WRITE
// S2DEMOD_RollOff_GET_Direct
// S2DEMOD_RollOff_GET_RollOffFactor
// S2DEMOD_RollOff_READ
// S2DEMOD_RollOff_SET_Direct
// S2DEMOD_RollOff_SET_RollOffFactor
// S2DEMOD_RollOff_WRITE
// S2DEMOD_ScramblerSequence_WRITE
// S2DEMOD_ScramblerStartSeq_READ_ScramblerSequence
// S2DEMOD_SnrEstimErrorPower_READ_ErrorPower
// S2DEMOD_SnrEstimSignalPower_READ_SignalPower
// S2DEMOD_SnrEstimatorFrames_READ_SnrFrames
// S2DEMOD_SnrFrames_WRITE
// S2DEMOD_SoftReset_WRITE
// S2DEMOD_SpectrumInversion_GET_AutoDetect
// S2DEMOD_SpectrumInversion_GET_InitialValue
// S2DEMOD_SpectrumInversion_READ
// S2DEMOD_SpectrumInversion_SET_AutoDetect
// S2DEMOD_SpectrumInversion_SET_InitialValue
// S2DEMOD_SpectrumInversion_WRITE
// S2DEMOD_TRKCoefficientG0_WRITE
// S2DEMOD_TRKCoefficientG1_WRITE
// S2DEMOD_TRKCoefficientK1_WRITE
// S2DEMOD_TRKCoefficientK2_WRITE
// S2DEMOD_TimingLoopFiltCoef0_READ_ACQCoefficientG0
// S2DEMOD_TimingLoopFiltCoef1_READ_ACQCoefficientG1
// S2DEMOD_TimingLoopFiltCoef2_READ_TRKCoefficientG0
// S2DEMOD_TimingLoopFiltCoef3_READ_TRKCoefficientG1
// S2DEMOD_Trigger_GET_Equalizer
// S2DEMOD_Trigger_GET_Spectrum
// S2DEMOD_Trigger_READ
// S2DEMOD_Trigger_SET_Equalizer
// S2DEMOD_Trigger_SET_Spectrum
// S2DEMOD_Trigger_WRITE
// S2DEMOD_Undocumented94_READ
// S2DEMOD_Undocumented94_WRITE
// S2DEMOD_UndocumentedD0_READ
// S2DEMOD_UndocumentedD0_WRITE
// S2DEMOD_UndocumentedD4_READ
// S2DEMOD_UndocumentedD4_WRITE
// S2DEMOD_UndocumentedD8_READ
// S2DEMOD_UndocumentedD8_WRITE
// S2DEMOD_UndocumentedDC_READ
// S2DEMOD_UndocumentedDC_WRITE
// S2DEMOD_UndocumentedE0_READ
// S2DEMOD_UndocumentedE0_WRITE
// S2DEMOD_UndocumentedE4_READ
// S2DEMOD_UndocumentedE4_WRITE
// S2DEMOD_UndocumentedE8_READ
// S2DEMOD_UndocumentedE8_WRITE
// S2DEMOD_UndocumentedEC_READ
// S2DEMOD_UndocumentedEC_WRITE
// S2DEMOD_UndocumentedF0_READ
// S2DEMOD_UndocumentedF0_WRITE
// S2DEMOD_WeightFactor_WRITE
// S2DEMOD_WindowLength_WRITE

//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ Include Files +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=

#include "DtBc.h"                     // Block controller structs and functions

//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ Constant Definitions +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+

//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
//=+=+=+=+=+=+=+=+=+=+=+ REGISTER-ACCESS FUNCTIONS - IMPLEMENTATION +=+=+=+=+=+=+=+=+=+=+=
//+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'CoreVersionInfo' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Register READ function
static __inline UInt32  S2DEMOD_CoreVersionInfo_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1000);
}

// Field GET functions
static __inline UInt32  S2DEMOD_CoreVersionInfo_GET_MinorVersion(UInt32 CoreVersionInfo)
{
    return CoreVersionInfo & 0xF;
}
static __inline UInt32  S2DEMOD_CoreVersionInfo_GET_MajorVersion(UInt32 CoreVersionInfo)
{
    return (CoreVersionInfo & 0xF0) >> 4;
}

// Field READ functions
static __inline UInt32  S2DEMOD_CoreVersionInfo_READ_MinorVersion(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1000) & 0xF;
}
static __inline UInt32  S2DEMOD_CoreVersionInfo_READ_MajorVersion(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1000) & 0xF0) >> 4;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'GlobalStatus' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_GlobalStatus_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1004);
}

// Field GET functions
static __inline UInt32  S2DEMOD_GlobalStatus_GET_Demodulator(UInt32 GlobalStatus)
{
    return GlobalStatus & 0x1;
}
static __inline UInt32  S2DEMOD_GlobalStatus_GET_PlHeaderSync(UInt32 GlobalStatus)
{
    return (GlobalStatus & 0x2) >> 1;
}
static __inline UInt32  S2DEMOD_GlobalStatus_GET_TimingLoop(UInt32 GlobalStatus)
{
    return (GlobalStatus & 0x4) >> 2;
}
static __inline UInt32  S2DEMOD_GlobalStatus_GET_FrequencyLoop(UInt32 GlobalStatus)
{
    return (GlobalStatus & 0x8) >> 3;
}
static __inline UInt32  S2DEMOD_GlobalStatus_GET_NoSignal(UInt32 GlobalStatus)
{
    return (GlobalStatus & 0x10) >> 4;
}
static __inline UInt32  S2DEMOD_GlobalStatus_GET_FineFrequency(UInt32 GlobalStatus)
{
    return (GlobalStatus & 0x20) >> 5;
}

// Field READ functions
static __inline UInt32  S2DEMOD_GlobalStatus_READ_Demodulator(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1004) & 0x1;
}
static __inline UInt32  S2DEMOD_GlobalStatus_READ_PlHeaderSync(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1004) & 0x2) >> 1;
}
static __inline UInt32  S2DEMOD_GlobalStatus_READ_TimingLoop(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1004) & 0x4) >> 2;
}
static __inline UInt32  S2DEMOD_GlobalStatus_READ_FrequencyLoop(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1004) & 0x8) >> 3;
}
static __inline UInt32  S2DEMOD_GlobalStatus_READ_NoSignal(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1004) & 0x10) >> 4;
}
static __inline UInt32  S2DEMOD_GlobalStatus_READ_FineFrequency(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1004) & 0x20) >> 5;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'GlobalControl' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_GlobalControl_READ_SoftReset(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1008) & 0x1;
}

// Field WRITE function
static __inline void  S2DEMOD_SoftReset_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 SoftReset)
{
    DT_ASSERT((SoftReset & ~0x1) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1008, SoftReset);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'InterruptStatus' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Register READ function
static __inline UInt32  S2DEMOD_InterruptStatus_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x100C);
}

// Field GET functions
static __inline UInt32  S2DEMOD_InterruptStatus_GET_Demodulator(UInt32 InterruptStatus)
{
    return InterruptStatus & 0x1;
}
static __inline UInt32  S2DEMOD_InterruptStatus_GET_PlHeaderSync(UInt32 InterruptStatus)
{
    return (InterruptStatus & 0x2) >> 1;
}
static __inline UInt32  S2DEMOD_InterruptStatus_GET_TimingLoop(UInt32 InterruptStatus)
{
    return (InterruptStatus & 0x4) >> 2;
}
static __inline UInt32  S2DEMOD_InterruptStatus_GET_FrequencyLoop(UInt32 InterruptStatus)
{
    return (InterruptStatus & 0x8) >> 3;
}

// Field SET functions
static __inline UInt32  S2DEMOD_InterruptStatus_SET_Demodulator(UInt32 InterruptStatus, UInt32 Demodulator)
{
    DT_ASSERT((Demodulator & ~0x1) == 0);
    return (InterruptStatus & ~0x1) | Demodulator;
}
static __inline UInt32  S2DEMOD_InterruptStatus_SET_PlHeaderSync(UInt32 InterruptStatus, UInt32 PlHeaderSync)
{
    DT_ASSERT((PlHeaderSync & ~0x1) == 0);
    return (InterruptStatus & ~0x2) | (PlHeaderSync << 1);
}
static __inline UInt32  S2DEMOD_InterruptStatus_SET_TimingLoop(UInt32 InterruptStatus, UInt32 TimingLoop)
{
    DT_ASSERT((TimingLoop & ~0x1) == 0);
    return (InterruptStatus & ~0x4) | (TimingLoop << 2);
}
static __inline UInt32  S2DEMOD_InterruptStatus_SET_FrequencyLoop(UInt32 InterruptStatus, UInt32 FrequencyLoop)
{
    DT_ASSERT((FrequencyLoop & ~0x1) == 0);
    return (InterruptStatus & ~0x8) | (FrequencyLoop << 3);
}

// Register WRITE function
static __inline void  S2DEMOD_InterruptStatus_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 InterruptStatus)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x100C, InterruptStatus);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'InterruptEnable' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Register READ function
static __inline UInt32  S2DEMOD_InterruptEnable_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1010);
}

// Field GET functions
static __inline UInt32  S2DEMOD_InterruptEnable_GET_Demodulator(UInt32 InterruptEnable)
{
    return InterruptEnable & 0x1;
}
static __inline UInt32  S2DEMOD_InterruptEnable_GET_PlHeaderSync(UInt32 InterruptEnable)
{
    return (InterruptEnable & 0x2) >> 1;
}
static __inline UInt32  S2DEMOD_InterruptEnable_GET_TimingLoop(UInt32 InterruptEnable)
{
    return (InterruptEnable & 0x4) >> 2;
}
static __inline UInt32  S2DEMOD_InterruptEnable_GET_FrequencyLoop(UInt32 InterruptEnable)
{
    return (InterruptEnable & 0x8) >> 3;
}

// Field SET functions
static __inline UInt32  S2DEMOD_InterruptEnable_SET_Demodulator(UInt32 InterruptEnable, UInt32 Demodulator)
{
    DT_ASSERT((Demodulator & ~0x1) == 0);
    return (InterruptEnable & ~0x1) | Demodulator;
}
static __inline UInt32  S2DEMOD_InterruptEnable_SET_PlHeaderSync(UInt32 InterruptEnable, UInt32 PlHeaderSync)
{
    DT_ASSERT((PlHeaderSync & ~0x1) == 0);
    return (InterruptEnable & ~0x2) | (PlHeaderSync << 1);
}
static __inline UInt32  S2DEMOD_InterruptEnable_SET_TimingLoop(UInt32 InterruptEnable, UInt32 TimingLoop)
{
    DT_ASSERT((TimingLoop & ~0x1) == 0);
    return (InterruptEnable & ~0x4) | (TimingLoop << 2);
}
static __inline UInt32  S2DEMOD_InterruptEnable_SET_FrequencyLoop(UInt32 InterruptEnable, UInt32 FrequencyLoop)
{
    DT_ASSERT((FrequencyLoop & ~0x1) == 0);
    return (InterruptEnable & ~0x8) | (FrequencyLoop << 3);
}

// Register WRITE function
static __inline void  S2DEMOD_InterruptEnable_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 InterruptEnable)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1010, InterruptEnable);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'SpectrumInversion' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_SpectrumInversion_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1020);
}

// Field GET functions
static __inline UInt32  S2DEMOD_SpectrumInversion_GET_InitialValue(UInt32 SpectrumInversion)
{
    return SpectrumInversion & 0x1;
}
static __inline UInt32  S2DEMOD_SpectrumInversion_GET_AutoDetect(UInt32 SpectrumInversion)
{
    return (SpectrumInversion & 0x2) >> 1;
}

// Field SET functions
static __inline UInt32  S2DEMOD_SpectrumInversion_SET_InitialValue(UInt32 SpectrumInversion, UInt32 InitialValue)
{
    DT_ASSERT((InitialValue & ~0x1) == 0);
    return (SpectrumInversion & ~0x1) | InitialValue;
}
static __inline UInt32  S2DEMOD_SpectrumInversion_SET_AutoDetect(UInt32 SpectrumInversion, UInt32 AutoDetect)
{
    DT_ASSERT((AutoDetect & ~0x1) == 0);
    return (SpectrumInversion & ~0x2) | (AutoDetect << 1);
}

// Register WRITE function
static __inline void  S2DEMOD_SpectrumInversion_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 SpectrumInversion)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1020, SpectrumInversion);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'DcOffsetWeightFactor' -.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_DcOffsetWeightFactor_READ_WeightFactor(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1024) & 0x1F;
}

// Field WRITE function
static __inline void  S2DEMOD_WeightFactor_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 WeightFactor)
{
    DT_ASSERT((WeightFactor & ~0x1F) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1024, WeightFactor);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'DcOffsetValue' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_DcOffsetValue_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1028);
}

// Field GET functions
static __inline UInt32  S2DEMOD_DcOffsetValue_GET_ImaginaryPart(UInt32 DcOffsetValue)
{
    return DcOffsetValue & 0x3FF;
}
static __inline UInt32  S2DEMOD_DcOffsetValue_GET_RealPart(UInt32 DcOffsetValue)
{
    return (DcOffsetValue & 0x3FF0000) >> 16;
}

// Field READ functions
static __inline UInt32  S2DEMOD_DcOffsetValue_READ_ImaginaryPart(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1028) & 0x3FF;
}
static __inline UInt32  S2DEMOD_DcOffsetValue_READ_RealPart(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1028) & 0x3FF0000) >> 16;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'IqImbalanceValue' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_IqImbalanceValue_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x102C);
}

// Field GET functions
static __inline UInt32  S2DEMOD_IqImbalanceValue_GET_MagnitudeImbalance(UInt32 IqImbalanceValue)
{
    return IqImbalanceValue & 0xFFF;
}
static __inline UInt32  S2DEMOD_IqImbalanceValue_GET_PhaseImbalance(UInt32 IqImbalanceValue)
{
    return (IqImbalanceValue & 0xFFF0000) >> 16;
}

// Field READ functions
static __inline UInt32  S2DEMOD_IqImbalanceValue_READ_MagnitudeImbalance(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x102C) & 0xFFF;
}
static __inline UInt32  S2DEMOD_IqImbalanceValue_READ_PhaseImbalance(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x102C) & 0xFFF0000) >> 16;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'NdaAgcGainFactor' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_NdaAgcGainFactor_READ_AgcGain(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1030) & 0xFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'DecimationRate' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_DecimationRate_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1034) & 0x1FF;
}

// Field WRITE function
static __inline void  S2DEMOD_DecimationRate_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 DecimationRate)
{
    DT_ASSERT((DecimationRate & ~0x1FF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1034, DecimationRate);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'NdaAgcWindowLength' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_NdaAgcWindowLength_READ_WindowLength(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1038) & 0xFFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_WindowLength_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 WindowLength)
{
    DT_ASSERT((WindowLength & ~0xFFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1038, WindowLength);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'AntiAlisasingFilter' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_AntiAlisasingFilter_READ_FilterSelect(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x103C) & 0x3;
}

// Field WRITE function
static __inline void  S2DEMOD_FilterSelect_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 FilterSelect)
{
    DT_ASSERT((FilterSelect & ~0x3) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x103C, FilterSelect);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'PlInformation' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_PlInformation_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1040);
}

// Field GET functions
static __inline UInt32  S2DEMOD_PlInformation_GET_PlsValue(UInt32 PlInformation)
{
    return PlInformation & 0xFF;
}
static __inline UInt32  S2DEMOD_PlInformation_GET_Mode(UInt32 PlInformation)
{
    return (PlInformation & 0x30000) >> 16;
}

// Field SET functions
static __inline UInt32  S2DEMOD_PlInformation_SET_PlsValue(UInt32 PlInformation, UInt32 PlsValue)
{
    DT_ASSERT((PlsValue & ~0xFF) == 0);
    return (PlInformation & ~0xFF) | PlsValue;
}
static __inline UInt32  S2DEMOD_PlInformation_SET_Mode(UInt32 PlInformation, UInt32 Mode)
{
    DT_ASSERT((Mode & ~0x3) == 0);
    return (PlInformation & ~0x30000) | (Mode << 16);
}

// Register WRITE function
static __inline void  S2DEMOD_PlInformation_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 PlInformation)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1040, PlInformation);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'ScramblerStartSeq' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_ScramblerStartSeq_READ_ScramblerSequence(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1044) & 0x3FFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_ScramblerSequence_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 ScramblerSequence)
{
    DT_ASSERT((ScramblerSequence & ~0x3FFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1044, ScramblerSequence);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'InitSymbRateRatio' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_InitSymbRateRatio_READ_InitSymbolRateRatio(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1048) & 0x7FFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_InitSymbolRateRatio_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 InitSymbolRateRatio)
{
    DT_ASSERT((InitSymbolRateRatio & ~0x7FFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1048, InitSymbolRateRatio);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'MeasSymbRateRatio' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_MeasSymbRateRatio_READ_MeasSymbolRateRatio(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x104C) & 0x7FFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_MeasSymbolRateRatio_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 MeasSymbolRateRatio)
{
    DT_ASSERT((MeasSymbolRateRatio & ~0x7FFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x104C, MeasSymbolRateRatio);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'InitSampleRateRatio' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_InitSampleRateRatio_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1050) & 0x1FFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_InitSampleRateRatio_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 InitSampleRateRatio)
{
    DT_ASSERT((InitSampleRateRatio & ~0x1FFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1050, InitSampleRateRatio);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'RollOff' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Register READ function
static __inline UInt32  S2DEMOD_RollOff_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1054);
}

// Field GET functions
static __inline UInt32  S2DEMOD_RollOff_GET_RollOffFactor(UInt32 RollOff)
{
    return RollOff & 0x7;
}
static __inline UInt32  S2DEMOD_RollOff_GET_Direct(UInt32 RollOff)
{
    return (RollOff & 0x100) >> 8;
}

// Field SET functions
static __inline UInt32  S2DEMOD_RollOff_SET_RollOffFactor(UInt32 RollOff, UInt32 RollOffFactor)
{
    DT_ASSERT((RollOffFactor & ~0x7) == 0);
    return (RollOff & ~0x7) | RollOffFactor;
}
static __inline UInt32  S2DEMOD_RollOff_SET_Direct(UInt32 RollOff, UInt32 Direct)
{
    DT_ASSERT((Direct & ~0x1) == 0);
    return (RollOff & ~0x100) | (Direct << 8);
}

// Register WRITE function
static __inline void  S2DEMOD_RollOff_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 RollOff)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1054, RollOff);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'TimingLoopFiltCoef0' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_TimingLoopFiltCoef0_READ_ACQCoefficientG0(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1060) & 0x1FFFFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_ACQCoefficientG0_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 ACQCoefficientG0)
{
    DT_ASSERT((ACQCoefficientG0 & ~0x1FFFFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1060, ACQCoefficientG0);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'TimingLoopFiltCoef1' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_TimingLoopFiltCoef1_READ_ACQCoefficientG1(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1064) & 0x1FFFFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_ACQCoefficientG1_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 ACQCoefficientG1)
{
    DT_ASSERT((ACQCoefficientG1 & ~0x1FFFFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1064, ACQCoefficientG1);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'TimingLoopFiltCoef2' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_TimingLoopFiltCoef2_READ_TRKCoefficientG0(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1068) & 0x1FFFFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_TRKCoefficientG0_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 TRKCoefficientG0)
{
    DT_ASSERT((TRKCoefficientG0 & ~0x1FFFFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1068, TRKCoefficientG0);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'TimingLoopFiltCoef3' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_TimingLoopFiltCoef3_READ_TRKCoefficientG1(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x106C) & 0x1FFFFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_TRKCoefficientG1_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 TRKCoefficientG1)
{
    DT_ASSERT((TRKCoefficientG1 & ~0x1FFFFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x106C, TRKCoefficientG1);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'DetPlsValue' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_DetPlsValue_READ_PlsValue(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1070) & 0xFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'DetSpectrumInversion' -.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_DetSpectrumInversion_READ_SpectrumInversion(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1074) & 0x1;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FreqOffset' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FreqOffset_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1080) & 0xFFFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FreqLoopFilterCoef0' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FreqLoopFilterCoef0_READ_ACQCoefficientK1(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1084) & 0x1FFFFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_ACQCoefficientK1_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 ACQCoefficientK1)
{
    DT_ASSERT((ACQCoefficientK1 & ~0x1FFFFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x1084, ACQCoefficientK1);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FreqLoopFilterCoef1' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FreqLoopFilterCoef1_READ_ACQCoefficientK2(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1088);
}

// Field WRITE function
static __inline void  S2DEMOD_ACQCoefficientK2_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 ACQCoefficientK2)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1088, ACQCoefficientK2);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FreqLoopFilterCoef2' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FreqLoopFilterCoef2_READ_TRKCoefficientK1(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x108C) & 0x1FFFFFF;
}

// Field WRITE function
static __inline void  S2DEMOD_TRKCoefficientK1_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 TRKCoefficientK1)
{
    DT_ASSERT((TRKCoefficientK1 & ~0x1FFFFFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x108C, TRKCoefficientK1);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FreqLoopFilterCoef3' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FreqLoopFilterCoef3_READ_TRKCoefficientK2(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1090);
}

// Field WRITE function
static __inline void  S2DEMOD_TRKCoefficientK2_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 TRKCoefficientK2)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1090, TRKCoefficientK2);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'Undocumented94' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_Undocumented94_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1094);
}

// Field WRITE function
static __inline void  S2DEMOD_Undocumented94_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 Undocumented94)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x1094, Undocumented94);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FineFreqOffset' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FineFreqOffset_READ_FreqOffset(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10A0) & 0xFFFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FineFreqWindowLength' -.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FineFreqWindowLength_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10A4) & 0x3FFF;
}

// Field WRITE function
static __inline void  S2DEMOD_FineFreqWindowLength_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 FineFreqWindowLength)
{
    DT_ASSERT((FineFreqWindowLength & ~0x3FFF) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x10A4, FineFreqWindowLength);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'CoarsePhaseIncrement' -.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_CoarsePhaseIncrement_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10B0);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FinePhaseOffset' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FinePhaseOffset_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10B4) & 0xFFFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'Equalizer' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_Equalizer_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10B8);
}

// Field GET functions
static __inline UInt32  S2DEMOD_Equalizer_GET_StepSize(UInt32 Equalizer)
{
    return Equalizer & 0x3;
}
static __inline UInt32  S2DEMOD_Equalizer_GET_Mode(UInt32 Equalizer)
{
    return (Equalizer & 0x4) >> 2;
}

// Field SET functions
static __inline UInt32  S2DEMOD_Equalizer_SET_StepSize(UInt32 Equalizer, UInt32 StepSize)
{
    DT_ASSERT((StepSize & ~0x3) == 0);
    return (Equalizer & ~0x3) | StepSize;
}
static __inline UInt32  S2DEMOD_Equalizer_SET_Mode(UInt32 Equalizer, UInt32 Mode)
{
    DT_ASSERT((Mode & ~0x1) == 0);
    return (Equalizer & ~0x4) | (Mode << 2);
}

// Register WRITE function
static __inline void  S2DEMOD_Equalizer_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 Equalizer)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10B8, Equalizer);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'SnrEstimatorFrames' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_SnrEstimatorFrames_READ_SnrFrames(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10C0) & 0x3;
}

// Field WRITE function
static __inline void  S2DEMOD_SnrFrames_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 SnrFrames)
{
    DT_ASSERT((SnrFrames & ~0x3) == 0);
    DtBc_RegWrite32((DtBc*)pBc, 0x10C0, SnrFrames);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'DaAgcCorrGainFactor' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_DaAgcCorrGainFactor_READ_DaAgcGainFactor(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10C4) & 0xFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'SnrEstimSignalPower' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_SnrEstimSignalPower_READ_SignalPower(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10C8) & 0x3FF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'SnrEstimErrorPower' -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_SnrEstimErrorPower_READ_ErrorPower(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10CC);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedD0' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedD0_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10D0);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedD0_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedD0)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10D0, UndocumentedD0);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedD4' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedD4_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10D4);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedD4_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedD4)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10D4, UndocumentedD4);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedD8' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedD8_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10D8);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedD8_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedD8)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10D8, UndocumentedD8);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedDC' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedDC_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10DC);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedDC_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedDC)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10DC, UndocumentedDC);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedE0' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedE0_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10E0);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedE0_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedE0)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10E0, UndocumentedE0);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedE4' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedE4_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10E4);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedE4_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedE4)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10E4, UndocumentedE4);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedE8' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedE8_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10E8);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedE8_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedE8)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10E8, UndocumentedE8);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedEC' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedEC_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10EC);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedEC_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedEC)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10EC, UndocumentedEC);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'UndocumentedF0' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_UndocumentedF0_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10F0);
}

// Field WRITE function
static __inline void  S2DEMOD_UndocumentedF0_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 UndocumentedF0)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10F0, UndocumentedF0);
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'Trigger' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Register READ function
static __inline UInt32  S2DEMOD_Trigger_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x10FC);
}

// Field GET functions
static __inline UInt32  S2DEMOD_Trigger_GET_Spectrum(UInt32 Trigger)
{
    return Trigger & 0x1;
}
static __inline UInt32  S2DEMOD_Trigger_GET_Equalizer(UInt32 Trigger)
{
    return (Trigger & 0x2) >> 1;
}

// Field SET functions
static __inline UInt32  S2DEMOD_Trigger_SET_Spectrum(UInt32 Trigger, UInt32 Spectrum)
{
    DT_ASSERT((Spectrum & ~0x1) == 0);
    return (Trigger & ~0x1) | Spectrum;
}
static __inline UInt32  S2DEMOD_Trigger_SET_Equalizer(UInt32 Trigger, UInt32 Equalizer)
{
    DT_ASSERT((Equalizer & ~0x1) == 0);
    return (Trigger & ~0x2) | (Equalizer << 1);
}

// Register WRITE function
static __inline void  S2DEMOD_Trigger_WRITE(DtBcS2DEMOD_2132* pBc, UInt32 Trigger)
{
    DtBc_RegWrite32((DtBc*)pBc, 0x10FC, Trigger);
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'EqualizerTap6' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_EqualizerTap6_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1100);
}

// Field GET functions
static __inline UInt32  S2DEMOD_EqualizerTap6_GET_RealPart(UInt32 EqualizerTap6)
{
    return EqualizerTap6 & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap6_GET_ImaginaryPart(UInt32 EqualizerTap6)
{
    return (EqualizerTap6 & 0xFFF000) >> 12;
}

// Field READ functions
static __inline UInt32  S2DEMOD_EqualizerTap6_READ_RealPart(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1100) & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap6_READ_ImaginaryPart(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1100) & 0xFFF000) >> 12;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'EqualizerTap5' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_EqualizerTap5_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1104);
}

// Field GET functions
static __inline UInt32  S2DEMOD_EqualizerTap5_GET_RealPart(UInt32 EqualizerTap5)
{
    return EqualizerTap5 & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap5_GET_ImaginaryPart(UInt32 EqualizerTap5)
{
    return (EqualizerTap5 & 0xFFF000) >> 12;
}

// Field READ functions
static __inline UInt32  S2DEMOD_EqualizerTap5_READ_RealPart(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1104) & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap5_READ_ImaginaryPart(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1104) & 0xFFF000) >> 12;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'EqualizerTap4' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_EqualizerTap4_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1108);
}

// Field GET functions
static __inline UInt32  S2DEMOD_EqualizerTap4_GET_RealPart(UInt32 EqualizerTap4)
{
    return EqualizerTap4 & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap4_GET_ImaginaryPart(UInt32 EqualizerTap4)
{
    return (EqualizerTap4 & 0xFFF000) >> 12;
}

// Field READ functions
static __inline UInt32  S2DEMOD_EqualizerTap4_READ_RealPart(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1108) & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap4_READ_ImaginaryPart(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1108) & 0xFFF000) >> 12;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'EqualizerTap3' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_EqualizerTap3_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x110C);
}

// Field GET functions
static __inline UInt32  S2DEMOD_EqualizerTap3_GET_RealPart(UInt32 EqualizerTap3)
{
    return EqualizerTap3 & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap3_GET_ImaginaryPart(UInt32 EqualizerTap3)
{
    return (EqualizerTap3 & 0xFFF000) >> 12;
}

// Field READ functions
static __inline UInt32  S2DEMOD_EqualizerTap3_READ_RealPart(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x110C) & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap3_READ_ImaginaryPart(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x110C) & 0xFFF000) >> 12;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'EqualizerTap2' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_EqualizerTap2_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1110);
}

// Field GET functions
static __inline UInt32  S2DEMOD_EqualizerTap2_GET_RealPart(UInt32 EqualizerTap2)
{
    return EqualizerTap2 & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap2_GET_ImaginaryPart(UInt32 EqualizerTap2)
{
    return (EqualizerTap2 & 0xFFF000) >> 12;
}

// Field READ functions
static __inline UInt32  S2DEMOD_EqualizerTap2_READ_RealPart(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1110) & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap2_READ_ImaginaryPart(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1110) & 0xFFF000) >> 12;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'EqualizerTap1' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_EqualizerTap1_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1114);
}

// Field GET functions
static __inline UInt32  S2DEMOD_EqualizerTap1_GET_RealPart(UInt32 EqualizerTap1)
{
    return EqualizerTap1 & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap1_GET_ImaginaryPart(UInt32 EqualizerTap1)
{
    return (EqualizerTap1 & 0xFFF000) >> 12;
}

// Field READ functions
static __inline UInt32  S2DEMOD_EqualizerTap1_READ_RealPart(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1114) & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap1_READ_ImaginaryPart(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1114) & 0xFFF000) >> 12;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'EqualizerTap0' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Register READ function
static __inline UInt32  S2DEMOD_EqualizerTap0_READ(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1118);
}

// Field GET functions
static __inline UInt32  S2DEMOD_EqualizerTap0_GET_RealPart(UInt32 EqualizerTap0)
{
    return EqualizerTap0 & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap0_GET_ImaginaryPart(UInt32 EqualizerTap0)
{
    return (EqualizerTap0 & 0xFFF000) >> 12;
}

// Field READ functions
static __inline UInt32  S2DEMOD_EqualizerTap0_READ_RealPart(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1118) & 0xFFF;
}
static __inline UInt32  S2DEMOD_EqualizerTap0_READ_ImaginaryPart(DtBcS2DEMOD_2132* pBc)
{
    return (DtBc_RegRead32((DtBc*)pBc, 0x1118) & 0xFFF000) >> 12;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum0' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum0_READ_AbsValueSquareBin0(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1200) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum1' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum1_READ_AbsValueSquareBin1(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1204) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum2' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum2_READ_AbsValueSquareBin2(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1208) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum3' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum3_READ_AbsValueSquareBin3(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x120C) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum4' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum4_READ_AbsValueSquareBin4(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1210) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum5' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum5_READ_AbsValueSquareBin5(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1214) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum6' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum6_READ_AbsValueSquareBin6(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1218) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum7' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum7_READ_AbsValueSquareBin7(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x121C) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum8' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum8_READ_AbsValueSquareBin8(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1220) & 0x1FFFF;
}

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum9' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum9_READ_AbsValueSquareBin9(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1224) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum10' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum10_READ_AbsValueSquareBin10(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1228) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum11' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum11_READ_AbsValueSquareBin11(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x122C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum12' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum12_READ_AbsValueSquareBin12(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1230) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum13' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum13_READ_AbsValueSquareBin13(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1234) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum14' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum14_READ_AbsValueSquareBin14(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1238) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum15' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum15_READ_AbsValueSquareBin15(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x123C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum16' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum16_READ_AbsValueSquareBin16(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1240) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum17' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum17_READ_AbsValueSquareBin17(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1244) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum18' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum18_READ_AbsValueSquareBin18(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1248) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum19' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum19_READ_AbsValueSquareBin19(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x124C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum20' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum20_READ_AbsValueSquareBin20(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1250) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum21' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum21_READ_AbsValueSquareBin21(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1254) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum22' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum22_READ_AbsValueSquareBin22(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1258) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum23' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum23_READ_AbsValueSquareBin23(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x125C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum24' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum24_READ_AbsValueSquareBin24(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1260) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum25' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum25_READ_AbsValueSquareBin25(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1264) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum26' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum26_READ_AbsValueSquareBin26(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1268) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum27' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum27_READ_AbsValueSquareBin27(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x126C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum28' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum28_READ_AbsValueSquareBin28(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1270) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum29' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum29_READ_AbsValueSquareBin29(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1274) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum30' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum30_READ_AbsValueSquareBin30(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1278) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum31' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum31_READ_AbsValueSquareBin31(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x127C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum32' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum32_READ_AbsValueSquareBin32(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1280) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum33' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum33_READ_AbsValueSquareBin33(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1284) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum34' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum34_READ_AbsValueSquareBin34(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1288) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum35' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum35_READ_AbsValueSquareBin35(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x128C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum36' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum36_READ_AbsValueSquareBin36(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1290) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum37' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum37_READ_AbsValueSquareBin37(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1294) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum38' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum38_READ_AbsValueSquareBin38(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1298) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum39' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum39_READ_AbsValueSquareBin39(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x129C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum40' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum40_READ_AbsValueSquareBin40(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12A0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum41' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum41_READ_AbsValueSquareBin41(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12A4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum42' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum42_READ_AbsValueSquareBin42(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12A8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum43' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum43_READ_AbsValueSquareBin43(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12AC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum44' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum44_READ_AbsValueSquareBin44(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12B0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum45' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum45_READ_AbsValueSquareBin45(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12B4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum46' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum46_READ_AbsValueSquareBin46(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12B8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum47' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum47_READ_AbsValueSquareBin47(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12BC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum48' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum48_READ_AbsValueSquareBin48(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12C0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum49' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum49_READ_AbsValueSquareBin49(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12C4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum50' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum50_READ_AbsValueSquareBin50(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12C8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum51' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum51_READ_AbsValueSquareBin51(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12CC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum52' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum52_READ_AbsValueSquareBin52(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12D0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum53' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum53_READ_AbsValueSquareBin53(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12D4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum54' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum54_READ_AbsValueSquareBin54(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12D8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum55' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum55_READ_AbsValueSquareBin55(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12DC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum56' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum56_READ_AbsValueSquareBin56(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12E0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum57' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum57_READ_AbsValueSquareBin57(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12E4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum58' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum58_READ_AbsValueSquareBin58(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12E8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum59' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum59_READ_AbsValueSquareBin59(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12EC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum60' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum60_READ_AbsValueSquareBin60(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12F0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum61' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum61_READ_AbsValueSquareBin61(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12F4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum62' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum62_READ_AbsValueSquareBin62(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12F8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum63' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum63_READ_AbsValueSquareBin63(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x12FC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum64' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum64_READ_AbsValueSquareBin64(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1300) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum65' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum65_READ_AbsValueSquareBin65(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1304) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum66' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum66_READ_AbsValueSquareBin66(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1308) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum67' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum67_READ_AbsValueSquareBin67(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x130C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum68' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum68_READ_AbsValueSquareBin68(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1310) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum69' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum69_READ_AbsValueSquareBin69(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1314) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum70' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum70_READ_AbsValueSquareBin70(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1318) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum71' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum71_READ_AbsValueSquareBin71(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x131C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum72' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum72_READ_AbsValueSquareBin72(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1320) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum73' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum73_READ_AbsValueSquareBin73(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1324) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum74' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum74_READ_AbsValueSquareBin74(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1328) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum75' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum75_READ_AbsValueSquareBin75(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x132C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum76' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum76_READ_AbsValueSquareBin76(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1330) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum77' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum77_READ_AbsValueSquareBin77(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1334) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum78' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum78_READ_AbsValueSquareBin78(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1338) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum79' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum79_READ_AbsValueSquareBin79(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x133C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum80' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum80_READ_AbsValueSquareBin80(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1340) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum81' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum81_READ_AbsValueSquareBin81(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1344) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum82' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum82_READ_AbsValueSquareBin82(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1348) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum83' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum83_READ_AbsValueSquareBin83(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x134C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum84' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum84_READ_AbsValueSquareBin84(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1350) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum85' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum85_READ_AbsValueSquareBin85(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1354) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum86' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum86_READ_AbsValueSquareBin86(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1358) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum87' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum87_READ_AbsValueSquareBin87(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x135C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum88' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum88_READ_AbsValueSquareBin88(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1360) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum89' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum89_READ_AbsValueSquareBin89(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1364) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum90' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum90_READ_AbsValueSquareBin90(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1368) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum91' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum91_READ_AbsValueSquareBin91(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x136C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum92' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum92_READ_AbsValueSquareBin92(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1370) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum93' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum93_READ_AbsValueSquareBin93(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1374) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum94' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum94_READ_AbsValueSquareBin94(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1378) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum95' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum95_READ_AbsValueSquareBin95(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x137C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum96' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum96_READ_AbsValueSquareBin96(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1380) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum97' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum97_READ_AbsValueSquareBin97(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1384) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum98' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum98_READ_AbsValueSquareBin98(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1388) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum99' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum99_READ_AbsValueSquareBin99(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x138C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum100' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum100_READ_AbsValueSquareBin100(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1390) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum101' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum101_READ_AbsValueSquareBin101(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1394) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum102' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum102_READ_AbsValueSquareBin102(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x1398) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum103' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum103_READ_AbsValueSquareBin103(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x139C) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum104' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum104_READ_AbsValueSquareBin104(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13A0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum105' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum105_READ_AbsValueSquareBin105(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13A4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum106' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum106_READ_AbsValueSquareBin106(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13A8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum107' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum107_READ_AbsValueSquareBin107(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13AC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum108' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum108_READ_AbsValueSquareBin108(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13B0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum109' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum109_READ_AbsValueSquareBin109(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13B4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum110' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum110_READ_AbsValueSquareBin110(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13B8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum111' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum111_READ_AbsValueSquareBin111(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13BC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum112' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum112_READ_AbsValueSquareBin112(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13C0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum113' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum113_READ_AbsValueSquareBin113(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13C4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum114' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum114_READ_AbsValueSquareBin114(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13C8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum115' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum115_READ_AbsValueSquareBin115(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13CC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum116' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum116_READ_AbsValueSquareBin116(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13D0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum117' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum117_READ_AbsValueSquareBin117(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13D4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum118' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum118_READ_AbsValueSquareBin118(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13D8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum119' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum119_READ_AbsValueSquareBin119(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13DC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum120' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum120_READ_AbsValueSquareBin120(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13E0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum121' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum121_READ_AbsValueSquareBin121(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13E4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum122' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum122_READ_AbsValueSquareBin122(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13E8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum123' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum123_READ_AbsValueSquareBin123(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13EC) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum124' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum124_READ_AbsValueSquareBin124(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13F0) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum125' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum125_READ_AbsValueSquareBin125(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13F4) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum126' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum126_READ_AbsValueSquareBin126(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13F8) & 0x1FFFF;
}

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Register 'FftSpectrum127' -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

// Field READ function
static __inline UInt32  S2DEMOD_FftSpectrum127_READ_AbsValueSquareBin127(DtBcS2DEMOD_2132* pBc)
{
    return DtBc_RegRead32((DtBc*)pBc, 0x13FC) & 0x1FFFF;
}

